// Made with Amplify Shader Editor
// Available at the Unity Asset Store - http://u3d.as/y3X 
Shader "Tests/ASE Ground Normals Distance Texture Atlas"
{
	Properties
	{
		_DiffuseColor("Diffuse Color", Color) = (1,1,1,1)
		_TextureTilingFar("Texture Tiling Far", Range( 0 , 1)) = 0.5
		_TransitionDistance("Transition Distance", Float) = 80
		_TransitionSharpness("Transition Sharpness", Float) = 2
		[Toggle(_USENORMALATLAS_ON)] _UseNormalAtlas("Use Normal Atlas", Float) = 0
		_NormalStrenght("Normal Strenght", Range( -5 , 5)) = 0
		[NoScaleOffset]_MainTex("Splat Map 0", 2D) = "white" {}
		[NoScaleOffset]_TextureAtlas0("Texture Atlas 0", 2D) = "white" {}
		[NoScaleOffset][Normal]_NormalAtlas0("Normal Atlas 0", 2D) = "bump" {}
		_TextureValues0("Texture Values 0", Vector) = (0,0,100,0)
		_TextureValues1("Texture Values 1", Vector) = (1,0,100,0)
		_TextureValues2("Texture Values 2", Vector) = (0,1,100,0)
		_TextureValues3("Texture Values 3", Vector) = (1,1,100,0)
		[Toggle(_USESECONDSPLATMAP_ON)] _UseSecondSplatMap("Use Second Splat Map", Float) = 1
		[NoScaleOffset]_SplatMap1("Splat Map 1", 2D) = "white" {}
		[NoScaleOffset]_TextureAtlas1("Texture Atlas 1", 2D) = "white" {}
		[NoScaleOffset][Normal]_NormalAtlas1("Normal Atlas 1", 2D) = "bump" {}
		_TextureValues4("Texture Values 4", Vector) = (0,0,100,0)
		_TextureValues5("Texture Values 5", Vector) = (1,0,100,0)
		_TextureValues6("Texture Values 6", Vector) = (0,1,100,0)
		_TextureValues7("Texture Values 7", Vector) = (1,1,100,0)
		[HideInInspector] _texcoord( "", 2D ) = "white" {}
		[HideInInspector] __dirty( "", Int ) = 1
	}

	SubShader
	{
		Tags{ "RenderType" = "Opaque"  "Queue" = "Geometry+0" }
		Cull Back
		CGPROGRAM
		#include "UnityShaderVariables.cginc"
		#pragma target 3.5
		#pragma shader_feature _USENORMALATLAS_ON
		#pragma shader_feature _USESECONDSPLATMAP_ON
		#pragma surface surf Lambert keepalpha addshadow fullforwardshadows vertex:vertexDataFunc 
		struct Input
		{
			float2 uv_texcoord;
			float vertexToFrag1329;
			float3 worldPos;
		};

		uniform sampler2D _MainTex;
		uniform sampler2D _NormalAtlas0;
		uniform float3 _TextureValues0;
		uniform float4 _NormalAtlas0_TexelSize;
		uniform float _TextureTilingFar;
		uniform float _TransitionDistance;
		uniform float _TransitionSharpness;
		uniform sampler2D _Sampler01215;
		uniform sampler2D _TextureAtlas0;
		uniform float4 _TextureAtlas0_TexelSize;
		uniform float3 _TextureValues1;
		uniform float3 _TextureValues2;
		uniform float3 _TextureValues3;
		uniform sampler2D _SplatMap1;
		uniform sampler2D _NormalAtlas1;
		uniform float3 _TextureValues4;
		uniform float4 _NormalAtlas1_TexelSize;
		uniform float3 _TextureValues5;
		uniform float3 _TextureValues6;
		uniform float3 _TextureValues7;
		uniform float _NormalStrenght;
		uniform float4 _DiffuseColor;
		uniform sampler2D _TextureAtlas1;
		uniform sampler2D _Sampler01214;
		uniform float4 _TextureAtlas1_TexelSize;

		void vertexDataFunc( inout appdata_full v, out Input o )
		{
			UNITY_INITIALIZE_OUTPUT( Input, o );
			float3 ase_worldPos = mul( unity_ObjectToWorld, v.vertex );
			o.vertexToFrag1329 = saturate( pow( ( distance( ase_worldPos , _WorldSpaceCameraPos ) / _TransitionDistance ) , _TransitionSharpness ) );
		}

		void surf( Input i , inout SurfaceOutput o )
		{
			float4 SplatMap0794 = tex2D( _MainTex, i.uv_texcoord );
			float TextureTiling0757 = _TextureValues0.z;
			float2 temp_cast_0 = (TextureTiling0757).xx;
			float2 TilingNear62_g376 = temp_cast_0;
			float2 temp_output_116_0_g376 = ( i.uv_texcoord * TilingNear62_g376 );
			float2 appendResult712 = (float2(_NormalAtlas0_TexelSize.z , _NormalAtlas0_TexelSize.w));
			float2 TextureSizeNormal0714 = appendResult712;
			float2 TextureSize100_g376 = TextureSizeNormal0714;
			float2 temp_output_89_0_g376 = ( TextureSize100_g376 / 2 );
			float2 TexturePosition0758 = (_TextureValues0).xy;
			float2 temp_output_43_0_g376 = TexturePosition0758;
			float2 DistanceMargin1620 = float2( 128,128 );
			float2 temp_output_96_0_g376 = DistanceMargin1620;
			float2 myVarName127_g376 = ( ( temp_output_96_0_g376 + ( temp_output_89_0_g376 * temp_output_43_0_g376 ) ) / TextureSize100_g376 );
			float2 temp_output_29_0_g376 = ( ( ( ( temp_output_89_0_g376 * ( temp_output_43_0_g376 + 1 ) ) + -temp_output_96_0_g376 ) / TextureSize100_g376 ) - myVarName127_g376 );
			float TextureTilingDistance373 = _TextureTilingFar;
			float2 TilingFar71_g376 = ( TilingNear62_g376 * TextureTilingDistance373 );
			float2 temp_output_121_0_g376 = ( i.uv_texcoord * TilingFar71_g376 );
			float DistanceLerp18 = i.vertexToFrag1329;
			float3 lerpResult750 = lerp( UnpackNormal( tex2D( _NormalAtlas0, ( ( ( ( frac( temp_output_116_0_g376 ) * ( 1 / TilingNear62_g376 ) ) * temp_output_29_0_g376 ) * TilingNear62_g376 ) + myVarName127_g376 ) ) ) , UnpackNormal( tex2D( _NormalAtlas0, ( myVarName127_g376 + ( ( temp_output_29_0_g376 * ( frac( temp_output_121_0_g376 ) * ( 1 / TilingFar71_g376 ) ) ) * TilingFar71_g376 ) ) ) ) , DistanceLerp18);
			float3 NormalTex0753 = lerpResult750;
			float2 TilingNear62_g374 = float2( 100,100 );
			float2 temp_output_116_0_g374 = ( i.uv_texcoord * TilingNear62_g374 );
			float2 appendResult692 = (float2(_TextureAtlas0_TexelSize.z , _TextureAtlas0_TexelSize.w));
			float2 TextureSize0693 = appendResult692;
			float2 TextureSize100_g374 = TextureSize0693;
			float2 temp_output_89_0_g374 = ( TextureSize100_g374 / 2 );
			float2 TexturePosition1762 = (_TextureValues1).xy;
			float2 temp_output_43_0_g374 = TexturePosition1762;
			float2 temp_output_96_0_g374 = DistanceMargin1620;
			float2 myVarName127_g374 = ( ( temp_output_96_0_g374 + ( temp_output_89_0_g374 * temp_output_43_0_g374 ) ) / TextureSize100_g374 );
			float2 temp_output_29_0_g374 = ( ( ( ( temp_output_89_0_g374 * ( temp_output_43_0_g374 + 1 ) ) + -temp_output_96_0_g374 ) / TextureSize100_g374 ) - myVarName127_g374 );
			float2 TilingFar71_g374 = ( TilingNear62_g374 * TextureTilingDistance373 );
			float2 temp_output_121_0_g374 = ( i.uv_texcoord * TilingFar71_g374 );
			float3 lerpResult749 = lerp( UnpackNormal( tex2D( _NormalAtlas0, ( ( ( ( frac( temp_output_116_0_g374 ) * ( 1 / TilingNear62_g374 ) ) * temp_output_29_0_g374 ) * TilingNear62_g374 ) + myVarName127_g374 ) ) ) , UnpackNormal( tex2D( _NormalAtlas0, ( myVarName127_g374 + ( ( temp_output_29_0_g374 * ( frac( temp_output_121_0_g374 ) * ( 1 / TilingFar71_g374 ) ) ) * TilingFar71_g374 ) ) ) ) , DistanceLerp18);
			float3 NormalTex1754 = lerpResult749;
			float TextureTiling2765 = _TextureValues2.z;
			float2 temp_cast_1 = (TextureTiling2765).xx;
			float2 TilingNear62_g373 = temp_cast_1;
			float2 temp_output_116_0_g373 = ( i.uv_texcoord * TilingNear62_g373 );
			float2 TextureSize100_g373 = TextureSize0693;
			float2 temp_output_89_0_g373 = ( TextureSize100_g373 / 2 );
			float2 TexturePosition2764 = (_TextureValues2).xy;
			float2 temp_output_43_0_g373 = TexturePosition2764;
			float2 temp_output_96_0_g373 = DistanceMargin1620;
			float2 myVarName127_g373 = ( ( temp_output_96_0_g373 + ( temp_output_89_0_g373 * temp_output_43_0_g373 ) ) / TextureSize100_g373 );
			float2 temp_output_29_0_g373 = ( ( ( ( temp_output_89_0_g373 * ( temp_output_43_0_g373 + 1 ) ) + -temp_output_96_0_g373 ) / TextureSize100_g373 ) - myVarName127_g373 );
			float2 TilingFar71_g373 = ( TilingNear62_g373 * TextureTilingDistance373 );
			float2 temp_output_121_0_g373 = ( i.uv_texcoord * TilingFar71_g373 );
			float3 lerpResult751 = lerp( UnpackNormal( tex2D( _NormalAtlas0, ( ( ( ( frac( temp_output_116_0_g373 ) * ( 1 / TilingNear62_g373 ) ) * temp_output_29_0_g373 ) * TilingNear62_g373 ) + myVarName127_g373 ) ) ) , UnpackNormal( tex2D( _NormalAtlas0, ( myVarName127_g373 + ( ( temp_output_29_0_g373 * ( frac( temp_output_121_0_g373 ) * ( 1 / TilingFar71_g373 ) ) ) * TilingFar71_g373 ) ) ) ) , DistanceLerp18);
			float3 NormalTex2756 = lerpResult751;
			float TextureTiling3767 = _TextureValues3.z;
			float2 temp_cast_2 = (TextureTiling3767).xx;
			float2 TilingNear62_g377 = temp_cast_2;
			float2 temp_output_116_0_g377 = ( i.uv_texcoord * TilingNear62_g377 );
			float2 TextureSize100_g377 = TextureSize0693;
			float2 temp_output_89_0_g377 = ( TextureSize100_g377 / 2 );
			float2 TexturePosition3766 = (_TextureValues3).xy;
			float2 temp_output_43_0_g377 = TexturePosition3766;
			float2 temp_output_96_0_g377 = DistanceMargin1620;
			float2 myVarName127_g377 = ( ( temp_output_96_0_g377 + ( temp_output_89_0_g377 * temp_output_43_0_g377 ) ) / TextureSize100_g377 );
			float2 temp_output_29_0_g377 = ( ( ( ( temp_output_89_0_g377 * ( temp_output_43_0_g377 + 1 ) ) + -temp_output_96_0_g377 ) / TextureSize100_g377 ) - myVarName127_g377 );
			float2 TilingFar71_g377 = ( TilingNear62_g377 * TextureTilingDistance373 );
			float2 temp_output_121_0_g377 = ( i.uv_texcoord * TilingFar71_g377 );
			float3 lerpResult752 = lerp( UnpackNormal( tex2D( _NormalAtlas0, ( ( ( ( frac( temp_output_116_0_g377 ) * ( 1 / TilingNear62_g377 ) ) * temp_output_29_0_g377 ) * TilingNear62_g377 ) + myVarName127_g377 ) ) ) , UnpackNormal( tex2D( _NormalAtlas0, ( myVarName127_g377 + ( ( temp_output_29_0_g377 * ( frac( temp_output_121_0_g377 ) * ( 1 / TilingFar71_g377 ) ) ) * TilingFar71_g377 ) ) ) ) , DistanceLerp18);
			float3 NormalTex3755 = lerpResult752;
			float3 layeredBlendVar787 = (SplatMap0794).rgb;
			float3 layeredBlend787 = ( lerp( lerp( lerp( NormalTex0753 , NormalTex1754 , layeredBlendVar787.x ) , NormalTex2756 , layeredBlendVar787.y ) , NormalTex3755 , layeredBlendVar787.z ) );
			float4 tex2DNode451 = tex2D( _SplatMap1, i.uv_texcoord );
			float4 SplatMap1795 = tex2DNode451;
			float TextureTiling4880 = _TextureValues4.z;
			float2 temp_cast_3 = (TextureTiling4880).xx;
			float2 TilingNear62_g380 = temp_cast_3;
			float2 temp_output_116_0_g380 = ( i.uv_texcoord * TilingNear62_g380 );
			float2 appendResult821 = (float2(_NormalAtlas1_TexelSize.z , _NormalAtlas1_TexelSize.w));
			float2 myVarName822 = appendResult821;
			float2 TextureSize100_g380 = myVarName822;
			float2 temp_output_89_0_g380 = ( TextureSize100_g380 / 2 );
			float2 TexturePosition4879 = (_TextureValues4).xy;
			float2 temp_output_43_0_g380 = TexturePosition4879;
			float2 temp_output_96_0_g380 = DistanceMargin1620;
			float2 myVarName127_g380 = ( ( temp_output_96_0_g380 + ( temp_output_89_0_g380 * temp_output_43_0_g380 ) ) / TextureSize100_g380 );
			float2 temp_output_29_0_g380 = ( ( ( ( temp_output_89_0_g380 * ( temp_output_43_0_g380 + 1 ) ) + -temp_output_96_0_g380 ) / TextureSize100_g380 ) - myVarName127_g380 );
			float2 TilingFar71_g380 = ( TilingNear62_g380 * TextureTilingDistance373 );
			float2 temp_output_121_0_g380 = ( i.uv_texcoord * TilingFar71_g380 );
			float3 lerpResult855 = lerp( UnpackNormal( tex2D( _NormalAtlas1, ( ( ( ( frac( temp_output_116_0_g380 ) * ( 1 / TilingNear62_g380 ) ) * temp_output_29_0_g380 ) * TilingNear62_g380 ) + myVarName127_g380 ) ) ) , UnpackNormal( tex2D( _NormalAtlas1, ( myVarName127_g380 + ( ( temp_output_29_0_g380 * ( frac( temp_output_121_0_g380 ) * ( 1 / TilingFar71_g380 ) ) ) * TilingFar71_g380 ) ) ) ) , DistanceLerp18);
			float3 NormalTex4860 = lerpResult855;
			float2 TilingNear62_g375 = float2( 100,100 );
			float2 temp_output_116_0_g375 = ( i.uv_texcoord * TilingNear62_g375 );
			float2 TextureSize100_g375 = TextureSize0693;
			float2 temp_output_89_0_g375 = ( TextureSize100_g375 / 2 );
			float2 TexturePosition5884 = (_TextureValues5).xy;
			float2 temp_output_43_0_g375 = TexturePosition5884;
			float2 temp_output_96_0_g375 = DistanceMargin1620;
			float2 myVarName127_g375 = ( ( temp_output_96_0_g375 + ( temp_output_89_0_g375 * temp_output_43_0_g375 ) ) / TextureSize100_g375 );
			float2 temp_output_29_0_g375 = ( ( ( ( temp_output_89_0_g375 * ( temp_output_43_0_g375 + 1 ) ) + -temp_output_96_0_g375 ) / TextureSize100_g375 ) - myVarName127_g375 );
			float2 TilingFar71_g375 = ( TilingNear62_g375 * TextureTilingDistance373 );
			float2 temp_output_121_0_g375 = ( i.uv_texcoord * TilingFar71_g375 );
			float3 lerpResult854 = lerp( UnpackNormal( tex2D( _NormalAtlas1, ( ( ( ( frac( temp_output_116_0_g375 ) * ( 1 / TilingNear62_g375 ) ) * temp_output_29_0_g375 ) * TilingNear62_g375 ) + myVarName127_g375 ) ) ) , UnpackNormal( tex2D( _NormalAtlas1, ( myVarName127_g375 + ( ( temp_output_29_0_g375 * ( frac( temp_output_121_0_g375 ) * ( 1 / TilingFar71_g375 ) ) ) * TilingFar71_g375 ) ) ) ) , DistanceLerp18);
			float3 NormalTex5857 = lerpResult854;
			float TextureTiling6890 = _TextureValues6.z;
			float2 temp_cast_4 = (TextureTiling6890).xx;
			float2 TilingNear62_g378 = temp_cast_4;
			float2 temp_output_116_0_g378 = ( i.uv_texcoord * TilingNear62_g378 );
			float2 TextureSize100_g378 = TextureSize0693;
			float2 temp_output_89_0_g378 = ( TextureSize100_g378 / 2 );
			float2 TexturePosition6889 = (_TextureValues6).xy;
			float2 temp_output_43_0_g378 = TexturePosition6889;
			float2 temp_output_96_0_g378 = DistanceMargin1620;
			float2 myVarName127_g378 = ( ( temp_output_96_0_g378 + ( temp_output_89_0_g378 * temp_output_43_0_g378 ) ) / TextureSize100_g378 );
			float2 temp_output_29_0_g378 = ( ( ( ( temp_output_89_0_g378 * ( temp_output_43_0_g378 + 1 ) ) + -temp_output_96_0_g378 ) / TextureSize100_g378 ) - myVarName127_g378 );
			float2 TilingFar71_g378 = ( TilingNear62_g378 * TextureTilingDistance373 );
			float2 temp_output_121_0_g378 = ( i.uv_texcoord * TilingFar71_g378 );
			float3 lerpResult853 = lerp( UnpackNormal( tex2D( _NormalAtlas1, ( ( ( ( frac( temp_output_116_0_g378 ) * ( 1 / TilingNear62_g378 ) ) * temp_output_29_0_g378 ) * TilingNear62_g378 ) + myVarName127_g378 ) ) ) , UnpackNormal( tex2D( _NormalAtlas1, ( myVarName127_g378 + ( ( temp_output_29_0_g378 * ( frac( temp_output_121_0_g378 ) * ( 1 / TilingFar71_g378 ) ) ) * TilingFar71_g378 ) ) ) ) , DistanceLerp18);
			float3 NormalTex6858 = lerpResult853;
			float TextureTiling7891 = _TextureValues7.z;
			float2 temp_cast_5 = (TextureTiling7891).xx;
			float2 TilingNear62_g379 = temp_cast_5;
			float2 temp_output_116_0_g379 = ( i.uv_texcoord * TilingNear62_g379 );
			float2 TextureSize100_g379 = TextureSize0693;
			float2 temp_output_89_0_g379 = ( TextureSize100_g379 / 2 );
			float2 TexturePosition7894 = (_TextureValues7).xy;
			float2 temp_output_43_0_g379 = TexturePosition7894;
			float2 temp_output_96_0_g379 = DistanceMargin1620;
			float2 myVarName127_g379 = ( ( temp_output_96_0_g379 + ( temp_output_89_0_g379 * temp_output_43_0_g379 ) ) / TextureSize100_g379 );
			float2 temp_output_29_0_g379 = ( ( ( ( temp_output_89_0_g379 * ( temp_output_43_0_g379 + 1 ) ) + -temp_output_96_0_g379 ) / TextureSize100_g379 ) - myVarName127_g379 );
			float2 TilingFar71_g379 = ( TilingNear62_g379 * TextureTilingDistance373 );
			float2 temp_output_121_0_g379 = ( i.uv_texcoord * TilingFar71_g379 );
			float3 lerpResult856 = lerp( UnpackNormal( tex2D( _NormalAtlas1, ( ( ( ( frac( temp_output_116_0_g379 ) * ( 1 / TilingNear62_g379 ) ) * temp_output_29_0_g379 ) * TilingNear62_g379 ) + myVarName127_g379 ) ) ) , UnpackNormal( tex2D( _NormalAtlas1, ( myVarName127_g379 + ( ( temp_output_29_0_g379 * ( frac( temp_output_121_0_g379 ) * ( 1 / TilingFar71_g379 ) ) ) * TilingFar71_g379 ) ) ) ) , DistanceLerp18);
			float3 NormalTex7859 = lerpResult856;
			float3 layeredBlendVar788 = (SplatMap1795).rgb;
			float3 layeredBlend788 = ( lerp( lerp( lerp( NormalTex4860 , NormalTex5857 , layeredBlendVar788.x ) , NormalTex6858 , layeredBlendVar788.y ) , NormalTex7859 , layeredBlendVar788.z ) );
			float SplatMap1Alpha926 = tex2DNode451.a;
			float3 lerpResult789 = lerp( layeredBlend787 , layeredBlend788 , SplatMap1Alpha926);
			#ifdef _USESECONDSPLATMAP_ON
				float3 staticSwitch867 = lerpResult789;
			#else
				float3 staticSwitch867 = layeredBlend787;
			#endif
			float3 NormalMixed792 = staticSwitch867;
			float3 appendResult133 = (float3(( (NormalMixed792).xy * _NormalStrenght ) , 1.0));
			float3 normalizeResult137 = normalize( appendResult133 );
			#ifdef _USENORMALATLAS_ON
				float3 staticSwitch802 = normalizeResult137;
			#else
				float3 staticSwitch802 = float3(0,0,1);
			#endif
			float3 MainBump154 = staticSwitch802;
			o.Normal = MainBump154;
			float2 temp_cast_6 = (TextureTiling0757).xx;
			float2 TilingNear62_g388 = temp_cast_6;
			float2 temp_output_116_0_g388 = ( i.uv_texcoord * TilingNear62_g388 );
			float2 TextureSize100_g388 = TextureSize0693;
			float2 temp_output_89_0_g388 = ( TextureSize100_g388 / 2 );
			float2 temp_output_43_0_g388 = TexturePosition0758;
			float2 temp_output_96_0_g388 = DistanceMargin1620;
			float2 myVarName127_g388 = ( ( temp_output_96_0_g388 + ( temp_output_89_0_g388 * temp_output_43_0_g388 ) ) / TextureSize100_g388 );
			float2 temp_output_29_0_g388 = ( ( ( ( temp_output_89_0_g388 * ( temp_output_43_0_g388 + 1 ) ) + -temp_output_96_0_g388 ) / TextureSize100_g388 ) - myVarName127_g388 );
			float2 TilingFar71_g388 = ( TilingNear62_g388 * TextureTilingDistance373 );
			float2 temp_output_121_0_g388 = ( i.uv_texcoord * TilingFar71_g388 );
			float4 lerpResult5 = lerp( tex2D( _TextureAtlas0, ( ( ( ( frac( temp_output_116_0_g388 ) * ( 1 / TilingNear62_g388 ) ) * temp_output_29_0_g388 ) * TilingNear62_g388 ) + myVarName127_g388 ), ddx( temp_output_116_0_g388 ), ddy( temp_output_116_0_g388 ) ) , tex2D( _TextureAtlas0, ( myVarName127_g388 + ( ( temp_output_29_0_g388 * ( frac( temp_output_121_0_g388 ) * ( 1 / TilingFar71_g388 ) ) ) * TilingFar71_g388 ) ), ddx( temp_output_121_0_g388 ), ddy( temp_output_121_0_g388 ) ) , DistanceLerp18);
			float4 Tex032 = lerpResult5;
			float TextureTiling1763 = _TextureValues1.z;
			float2 temp_cast_7 = (TextureTiling1763).xx;
			float2 TilingNear62_g384 = temp_cast_7;
			float2 temp_output_116_0_g384 = ( i.uv_texcoord * TilingNear62_g384 );
			float2 TextureSize100_g384 = TextureSize0693;
			float2 temp_output_89_0_g384 = ( TextureSize100_g384 / 2 );
			float2 temp_output_43_0_g384 = TexturePosition1762;
			float2 temp_output_96_0_g384 = DistanceMargin1620;
			float2 myVarName127_g384 = ( ( temp_output_96_0_g384 + ( temp_output_89_0_g384 * temp_output_43_0_g384 ) ) / TextureSize100_g384 );
			float2 temp_output_29_0_g384 = ( ( ( ( temp_output_89_0_g384 * ( temp_output_43_0_g384 + 1 ) ) + -temp_output_96_0_g384 ) / TextureSize100_g384 ) - myVarName127_g384 );
			float2 TilingFar71_g384 = ( TilingNear62_g384 * TextureTilingDistance373 );
			float2 temp_output_121_0_g384 = ( i.uv_texcoord * TilingFar71_g384 );
			float4 lerpResult33 = lerp( tex2D( _TextureAtlas0, ( ( ( ( frac( temp_output_116_0_g384 ) * ( 1 / TilingNear62_g384 ) ) * temp_output_29_0_g384 ) * TilingNear62_g384 ) + myVarName127_g384 ), ddx( temp_output_116_0_g384 ), ddy( temp_output_116_0_g384 ) ) , tex2D( _TextureAtlas0, ( myVarName127_g384 + ( ( temp_output_29_0_g384 * ( frac( temp_output_121_0_g384 ) * ( 1 / TilingFar71_g384 ) ) ) * TilingFar71_g384 ) ), ddx( temp_output_121_0_g384 ), ddy( temp_output_121_0_g384 ) ) , DistanceLerp18);
			float4 Tex139 = lerpResult33;
			float2 temp_cast_8 = (TextureTiling2765).xx;
			float2 TilingNear62_g387 = temp_cast_8;
			float2 temp_output_116_0_g387 = ( i.uv_texcoord * TilingNear62_g387 );
			float2 TextureSize100_g387 = TextureSize0693;
			float2 temp_output_89_0_g387 = ( TextureSize100_g387 / 2 );
			float2 temp_output_43_0_g387 = TexturePosition2764;
			float2 temp_output_96_0_g387 = DistanceMargin1620;
			float2 myVarName127_g387 = ( ( temp_output_96_0_g387 + ( temp_output_89_0_g387 * temp_output_43_0_g387 ) ) / TextureSize100_g387 );
			float2 temp_output_29_0_g387 = ( ( ( ( temp_output_89_0_g387 * ( temp_output_43_0_g387 + 1 ) ) + -temp_output_96_0_g387 ) / TextureSize100_g387 ) - myVarName127_g387 );
			float2 TilingFar71_g387 = ( TilingNear62_g387 * TextureTilingDistance373 );
			float2 temp_output_121_0_g387 = ( i.uv_texcoord * TilingFar71_g387 );
			float4 lerpResult42 = lerp( tex2D( _TextureAtlas0, ( ( ( ( frac( temp_output_116_0_g387 ) * ( 1 / TilingNear62_g387 ) ) * temp_output_29_0_g387 ) * TilingNear62_g387 ) + myVarName127_g387 ), ddx( temp_output_116_0_g387 ), ddy( temp_output_116_0_g387 ) ) , tex2D( _TextureAtlas0, ( myVarName127_g387 + ( ( temp_output_29_0_g387 * ( frac( temp_output_121_0_g387 ) * ( 1 / TilingFar71_g387 ) ) ) * TilingFar71_g387 ) ), ddx( temp_output_121_0_g387 ), ddy( temp_output_121_0_g387 ) ) , DistanceLerp18);
			float4 Tex250 = lerpResult42;
			float2 temp_cast_9 = (TextureTiling3767).xx;
			float2 TilingNear62_g382 = temp_cast_9;
			float2 temp_output_116_0_g382 = ( i.uv_texcoord * TilingNear62_g382 );
			float2 TextureSize100_g382 = TextureSize0693;
			float2 temp_output_89_0_g382 = ( TextureSize100_g382 / 2 );
			float2 temp_output_43_0_g382 = TexturePosition3766;
			float2 temp_output_96_0_g382 = DistanceMargin1620;
			float2 myVarName127_g382 = ( ( temp_output_96_0_g382 + ( temp_output_89_0_g382 * temp_output_43_0_g382 ) ) / TextureSize100_g382 );
			float2 temp_output_29_0_g382 = ( ( ( ( temp_output_89_0_g382 * ( temp_output_43_0_g382 + 1 ) ) + -temp_output_96_0_g382 ) / TextureSize100_g382 ) - myVarName127_g382 );
			float2 TilingFar71_g382 = ( TilingNear62_g382 * TextureTilingDistance373 );
			float2 temp_output_121_0_g382 = ( i.uv_texcoord * TilingFar71_g382 );
			float4 lerpResult51 = lerp( tex2D( _TextureAtlas0, ( ( ( ( frac( temp_output_116_0_g382 ) * ( 1 / TilingNear62_g382 ) ) * temp_output_29_0_g382 ) * TilingNear62_g382 ) + myVarName127_g382 ), ddx( temp_output_116_0_g382 ), ddy( temp_output_116_0_g382 ) ) , tex2D( _TextureAtlas0, ( myVarName127_g382 + ( ( temp_output_29_0_g382 * ( frac( temp_output_121_0_g382 ) * ( 1 / TilingFar71_g382 ) ) ) * TilingFar71_g382 ) ), ddx( temp_output_121_0_g382 ), ddy( temp_output_121_0_g382 ) ) , DistanceLerp18);
			float4 Tex359 = lerpResult51;
			float3 layeredBlendVar4 = (SplatMap0794).rgb;
			float4 layeredBlend4 = ( lerp( lerp( lerp( Tex032 , Tex139 , layeredBlendVar4.x ) , Tex250 , layeredBlendVar4.y ) , Tex359 , layeredBlendVar4.z ) );
			float2 temp_cast_10 = (TextureTiling4880).xx;
			float2 TilingNear62_g385 = temp_cast_10;
			float2 temp_output_116_0_g385 = ( i.uv_texcoord * TilingNear62_g385 );
			float2 TextureSize1699 = (_TextureAtlas1_TexelSize).zw;
			float2 TextureSize100_g385 = TextureSize1699;
			float2 temp_output_89_0_g385 = ( TextureSize100_g385 / 2 );
			float2 temp_output_43_0_g385 = TexturePosition4879;
			float2 temp_output_96_0_g385 = DistanceMargin1620;
			float2 myVarName127_g385 = ( ( temp_output_96_0_g385 + ( temp_output_89_0_g385 * temp_output_43_0_g385 ) ) / TextureSize100_g385 );
			float2 temp_output_29_0_g385 = ( ( ( ( temp_output_89_0_g385 * ( temp_output_43_0_g385 + 1 ) ) + -temp_output_96_0_g385 ) / TextureSize100_g385 ) - myVarName127_g385 );
			float2 temp_output_1205_0 = ( i.uv_texcoord * TextureTiling4880 );
			float2 temp_output_1177_0 = ddx( temp_output_1205_0 );
			float dotResult1196 = dot( temp_output_1177_0 , temp_output_1177_0 );
			float2 temp_output_1178_0 = ddy( temp_output_1205_0 );
			float dotResult1197 = dot( temp_output_1178_0 , temp_output_1178_0 );
			float mipCalc1364 = floor( ( log2( max( dotResult1196 , dotResult1197 ) ) * 0.5 ) );
			float2 TilingFar71_g385 = ( TilingNear62_g385 * TextureTilingDistance373 );
			float2 temp_output_121_0_g385 = ( i.uv_texcoord * TilingFar71_g385 );
			float4 lerpResult440 = lerp( tex2Dlod( _TextureAtlas1, float4( ( ( ( ( frac( temp_output_116_0_g385 ) * ( 1 / TilingNear62_g385 ) ) * temp_output_29_0_g385 ) * TilingNear62_g385 ) + myVarName127_g385 ), 0, mipCalc1364) ) , tex2Dlod( _TextureAtlas1, float4( ( myVarName127_g385 + ( ( temp_output_29_0_g385 * ( frac( temp_output_121_0_g385 ) * ( 1 / TilingFar71_g385 ) ) ) * TilingFar71_g385 ) ), 0, mipCalc1364) ) , DistanceLerp18);
			float4 Tex4239 = lerpResult440;
			float TextureTiling5885 = _TextureValues5.z;
			float2 temp_cast_11 = (TextureTiling5885).xx;
			float2 TilingNear62_g386 = temp_cast_11;
			float2 temp_output_116_0_g386 = ( i.uv_texcoord * TilingNear62_g386 );
			float2 TextureSize100_g386 = TextureSize1699;
			float2 temp_output_89_0_g386 = ( TextureSize100_g386 / 2 );
			float2 temp_output_43_0_g386 = TexturePosition5884;
			float2 temp_output_96_0_g386 = DistanceMargin1620;
			float2 myVarName127_g386 = ( ( temp_output_96_0_g386 + ( temp_output_89_0_g386 * temp_output_43_0_g386 ) ) / TextureSize100_g386 );
			float2 temp_output_29_0_g386 = ( ( ( ( temp_output_89_0_g386 * ( temp_output_43_0_g386 + 1 ) ) + -temp_output_96_0_g386 ) / TextureSize100_g386 ) - myVarName127_g386 );
			float2 TilingFar71_g386 = ( TilingNear62_g386 * TextureTilingDistance373 );
			float2 temp_output_121_0_g386 = ( i.uv_texcoord * TilingFar71_g386 );
			float4 lerpResult439 = lerp( tex2D( _TextureAtlas1, ( ( ( ( frac( temp_output_116_0_g386 ) * ( 1 / TilingNear62_g386 ) ) * temp_output_29_0_g386 ) * TilingNear62_g386 ) + myVarName127_g386 ), ddx( temp_output_116_0_g386 ), ddy( temp_output_116_0_g386 ) ) , tex2D( _TextureAtlas1, ( myVarName127_g386 + ( ( temp_output_29_0_g386 * ( frac( temp_output_121_0_g386 ) * ( 1 / TilingFar71_g386 ) ) ) * TilingFar71_g386 ) ), ddx( temp_output_121_0_g386 ), ddy( temp_output_121_0_g386 ) ) , DistanceLerp18);
			float4 Tex5249 = lerpResult439;
			float2 temp_cast_12 = (TextureTiling6890).xx;
			float2 TilingNear62_g383 = temp_cast_12;
			float2 temp_output_116_0_g383 = ( i.uv_texcoord * TilingNear62_g383 );
			float2 TextureSize100_g383 = TextureSize1699;
			float2 temp_output_89_0_g383 = ( TextureSize100_g383 / 2 );
			float2 temp_output_43_0_g383 = TexturePosition6889;
			float2 temp_output_96_0_g383 = DistanceMargin1620;
			float2 myVarName127_g383 = ( ( temp_output_96_0_g383 + ( temp_output_89_0_g383 * temp_output_43_0_g383 ) ) / TextureSize100_g383 );
			float2 temp_output_29_0_g383 = ( ( ( ( temp_output_89_0_g383 * ( temp_output_43_0_g383 + 1 ) ) + -temp_output_96_0_g383 ) / TextureSize100_g383 ) - myVarName127_g383 );
			float2 TilingFar71_g383 = ( TilingNear62_g383 * TextureTilingDistance373 );
			float2 temp_output_121_0_g383 = ( i.uv_texcoord * TilingFar71_g383 );
			float4 lerpResult441 = lerp( tex2D( _TextureAtlas1, ( ( ( ( frac( temp_output_116_0_g383 ) * ( 1 / TilingNear62_g383 ) ) * temp_output_29_0_g383 ) * TilingNear62_g383 ) + myVarName127_g383 ), ddx( temp_output_116_0_g383 ), ddy( temp_output_116_0_g383 ) ) , tex2D( _TextureAtlas1, ( myVarName127_g383 + ( ( temp_output_29_0_g383 * ( frac( temp_output_121_0_g383 ) * ( 1 / TilingFar71_g383 ) ) ) * TilingFar71_g383 ) ), ddx( temp_output_121_0_g383 ), ddy( temp_output_121_0_g383 ) ) , DistanceLerp18);
			float4 Tex6260 = lerpResult441;
			float2 temp_cast_13 = (TextureTiling7891).xx;
			float2 TilingNear62_g381 = temp_cast_13;
			float2 temp_output_116_0_g381 = ( i.uv_texcoord * TilingNear62_g381 );
			float2 TextureSize100_g381 = TextureSize1699;
			float2 temp_output_89_0_g381 = ( TextureSize100_g381 / 2 );
			float2 temp_output_43_0_g381 = TexturePosition7894;
			float2 temp_output_96_0_g381 = DistanceMargin1620;
			float2 myVarName127_g381 = ( ( temp_output_96_0_g381 + ( temp_output_89_0_g381 * temp_output_43_0_g381 ) ) / TextureSize100_g381 );
			float2 temp_output_29_0_g381 = ( ( ( ( temp_output_89_0_g381 * ( temp_output_43_0_g381 + 1 ) ) + -temp_output_96_0_g381 ) / TextureSize100_g381 ) - myVarName127_g381 );
			float2 TilingFar71_g381 = ( TilingNear62_g381 * TextureTilingDistance373 );
			float2 temp_output_121_0_g381 = ( i.uv_texcoord * TilingFar71_g381 );
			float4 lerpResult438 = lerp( tex2D( _TextureAtlas1, ( ( ( ( frac( temp_output_116_0_g381 ) * ( 1 / TilingNear62_g381 ) ) * temp_output_29_0_g381 ) * TilingNear62_g381 ) + myVarName127_g381 ), ddx( temp_output_116_0_g381 ), ddy( temp_output_116_0_g381 ) ) , tex2D( _TextureAtlas1, ( myVarName127_g381 + ( ( temp_output_29_0_g381 * ( frac( temp_output_121_0_g381 ) * ( 1 / TilingFar71_g381 ) ) ) * TilingFar71_g381 ) ), ddx( temp_output_121_0_g381 ), ddy( temp_output_121_0_g381 ) ) , DistanceLerp18);
			float4 Tex7271 = lerpResult438;
			float3 layeredBlendVar212 = (SplatMap1795).rgb;
			float4 layeredBlend212 = ( lerp( lerp( lerp( Tex4239 , Tex5249 , layeredBlendVar212.x ) , Tex6260 , layeredBlendVar212.y ) , Tex7271 , layeredBlendVar212.z ) );
			float4 lerpResult453 = lerp( layeredBlend4 , layeredBlend212 , SplatMap1Alpha926);
			#ifdef _USESECONDSPLATMAP_ON
				float4 staticSwitch866 = lerpResult453;
			#else
				float4 staticSwitch866 = layeredBlend4;
			#endif
			float4 MainGround152 = ( _DiffuseColor * staticSwitch866 );
			o.Albedo = MainGround152.rgb;
			o.Alpha = 1;
		}

		ENDCG
	}
	Fallback "Diffuse"
	CustomEditor "ASEMaterialInspector"
}
/*ASEBEGIN
Version=16100
139;346;1596;815;11610.58;5150.172;5.778669;True;False
Node;AmplifyShaderEditor.CommentaryNode;706;4532.042,-2366.272;Float;False;1909.509;816.7421;Comment;10;106;105;107;14;16;110;111;112;18;1329;Distance;0,1,0.1997867,1;0;0
Node;AmplifyShaderEditor.WorldSpaceCameraPos;106;4592.472,-2147.64;Float;False;0;4;FLOAT3;0;FLOAT;1;FLOAT;2;FLOAT;3
Node;AmplifyShaderEditor.WorldPosInputsNode;105;4582.042,-2316.272;Float;False;0;4;FLOAT3;0;FLOAT;1;FLOAT;2;FLOAT;3
Node;AmplifyShaderEditor.DistanceOpNode;107;5010.628,-2244.789;Float;False;2;0;FLOAT3;0,0,0;False;1;FLOAT3;0,0,0;False;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;14;5049.341,-1948.708;Float;False;Property;_TransitionDistance;Transition Distance;2;0;Create;True;0;0;False;0;80;80;0;0;0;1;FLOAT;0
Node;AmplifyShaderEditor.CommentaryNode;368;-4264.327,-2992.793;Float;False;2723.17;2582.037;Comment;47;34;52;51;33;50;59;39;31;21;5;32;330;331;226;340;339;43;42;354;355;364;365;373;374;375;627;628;629;630;692;693;694;695;696;757;758;762;763;764;766;767;765;868;870;872;874;876;First Texture Atlas;1,0,0,1;0;0
Node;AmplifyShaderEditor.CommentaryNode;392;-8169.728,-3023.094;Float;False;2723.17;2582.037;Comment;46;441;439;438;437;436;435;434;433;431;430;429;428;427;426;406;404;402;239;249;260;271;447;623;624;625;699;702;703;704;878;879;880;883;884;885;888;889;890;891;893;894;432;620;440;1460;1794;Second Texture Atlas;0,0.5913396,1,1;0;0
Node;AmplifyShaderEditor.Vector3Node;877;-8303.355,-2969.433;Float;False;Property;_TextureValues4;Texture Values 4;17;0;Create;True;0;0;False;0;0,0,100;0,0,100;0;4;FLOAT3;0;FLOAT;1;FLOAT;2;FLOAT;3
Node;AmplifyShaderEditor.Vector3Node;882;-8278.215,-2085.893;Float;False;Property;_TextureValues5;Texture Values 5;18;0;Create;True;0;0;False;0;1,0,100;0,0,100;0;4;FLOAT3;0;FLOAT;1;FLOAT;2;FLOAT;3
Node;AmplifyShaderEditor.TexelSizeNode;1215;-4279.214,-2774.375;Float;False;463;1;0;SAMPLER2D;_Sampler01215;False;5;FLOAT4;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.TexturePropertyNode;819;-8541.77,54.16427;Float;True;Property;_NormalAtlas1;Normal Atlas 1;16;2;[NoScaleOffset];[Normal];Create;True;0;0;False;0;None;e3c32e014843443b09259d8b26349287;True;bump;Auto;Texture2D;0;1;SAMPLER2D;0
Node;AmplifyShaderEditor.RangedFloatNode;16;5304.685,-1942.76;Float;False;Property;_TransitionSharpness;Transition Sharpness;3;0;Create;True;0;0;False;0;2;2;0;0;0;1;FLOAT;0
Node;AmplifyShaderEditor.Vector3Node;868;-4286.499,-2944.636;Float;False;Property;_TextureValues0;Texture Values 0;9;0;Create;True;0;0;False;0;0,0,100;0,0,100;0;4;FLOAT3;0;FLOAT;1;FLOAT;2;FLOAT;3
Node;AmplifyShaderEditor.CommentaryNode;818;-8105.467,490.4353;Float;False;2723.17;2582.037;Comment;42;861;860;859;858;857;856;855;854;853;852;851;850;849;848;847;846;845;844;843;842;841;840;839;838;837;836;835;834;833;832;831;830;829;828;827;826;825;824;823;822;821;820;Second Normal Atlas;0,0,0,1;0;0
Node;AmplifyShaderEditor.TexturePropertyNode;709;-4713.492,124.3715;Float;True;Property;_NormalAtlas0;Normal Atlas 0;8;2;[NoScaleOffset];[Normal];Create;True;0;0;False;0;None;e3c32e014843443b09259d8b26349287;True;bump;Auto;Texture2D;0;1;SAMPLER2D;0
Node;AmplifyShaderEditor.Vector3Node;875;-4482.08,-895.551;Float;False;Property;_TextureValues3;Texture Values 3;12;0;Create;True;0;0;False;0;1,1,100;1,1,100;0;4;FLOAT3;0;FLOAT;1;FLOAT;2;FLOAT;3
Node;AmplifyShaderEditor.CommentaryNode;1790;-7460.483,-3909.501;Float;False;2121.832;562.3779;Comment;13;1628;1198;1205;1197;1178;1177;1200;1199;1196;1619;1364;1793;1795;Mipmap level calculation;1,1,1,1;0;0
Node;AmplifyShaderEditor.SimpleDivideOpNode;110;5469.02,-2252.043;Float;False;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.Vector3Node;873;-4482.417,-1508.862;Float;False;Property;_TextureValues2;Texture Values 2;11;0;Create;True;0;0;False;0;0,1,100;0,1,100;0;4;FLOAT3;0;FLOAT;1;FLOAT;2;FLOAT;3
Node;AmplifyShaderEditor.Vector3Node;892;-8351.822,-853.633;Float;False;Property;_TextureValues7;Texture Values 7;20;0;Create;True;0;0;False;0;1,1,100;0,0,100;0;4;FLOAT3;0;FLOAT;1;FLOAT;2;FLOAT;3
Node;AmplifyShaderEditor.Vector3Node;887;-8319.432,-1445.915;Float;False;Property;_TextureValues6;Texture Values 6;19;0;Create;True;0;0;False;0;0,1,100;0,0,100;0;4;FLOAT3;0;FLOAT;1;FLOAT;2;FLOAT;3
Node;AmplifyShaderEditor.CommentaryNode;708;-4277.191,560.6426;Float;False;2723.17;2582.037;Comment;42;756;755;754;753;752;751;750;749;748;747;746;745;744;743;742;741;740;739;738;737;732;731;730;729;728;726;725;723;722;719;714;712;710;759;760;761;768;769;770;771;772;773;First Normal Atlas;0.8415842,0,1,1;0;0
Node;AmplifyShaderEditor.Vector3Node;871;-4409.037,-2056.15;Float;False;Property;_TextureValues1;Texture Values 1;10;0;Create;True;0;0;False;0;1,0,100;1,0,100;0;4;FLOAT3;0;FLOAT;1;FLOAT;2;FLOAT;3
Node;AmplifyShaderEditor.RegisterLocalVarNode;880;-7862.979,-2653.877;Float;False;TextureTiling4;-1;True;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.Vector2Node;1330;-8085.92,-3164.369;Float;False;Constant;_Vector1;Vector 1;23;0;Create;True;0;0;False;0;128,128;0,0;0;3;FLOAT2;0;FLOAT;1;FLOAT;2
Node;AmplifyShaderEditor.ComponentMaskNode;872;-4133.077,-2188.438;Float;False;True;True;False;True;1;0;FLOAT3;0,0,0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.TexelSizeNode;820;-8103.461,698.4125;Float;False;-1;1;0;SAMPLER2D;;False;5;FLOAT4;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.RangedFloatNode;31;-4196.38,-2499.906;Float;False;Property;_TextureTilingFar;Texture Tiling Far;1;0;Create;True;0;0;False;0;0.5;0.2;0;1;0;1;FLOAT;0
Node;AmplifyShaderEditor.ComponentMaskNode;883;-8050.314,-2157.093;Float;False;True;True;False;True;1;0;FLOAT3;0,0,0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.ComponentMaskNode;874;-4189.476,-1575.036;Float;False;True;True;False;True;1;0;FLOAT3;0,0,0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.TexelSizeNode;710;-4275.185,768.6197;Float;False;-1;1;0;SAMPLER2D;;False;5;FLOAT4;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.ComponentMaskNode;876;-4200.427,-956.7851;Float;False;True;True;False;True;1;0;FLOAT3;0,0,0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.TexCoordVertexDataNode;1619;-7436.98,-3693.242;Float;True;0;2;0;5;FLOAT2;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.ComponentMaskNode;888;-8091.531,-1517.115;Float;False;True;True;False;True;1;0;FLOAT3;0,0,0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.ComponentMaskNode;893;-8124.922,-924.8329;Float;False;True;True;False;True;1;0;FLOAT3;0,0,0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.ComponentMaskNode;878;-8085.355,-2939.433;Float;False;True;True;False;True;1;0;FLOAT3;0,0,0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.PowerNode;111;5687.27,-2243.98;Float;False;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.DynamicAppendNode;692;-4021.202,-2718.564;Float;False;FLOAT2;4;0;FLOAT;0;False;1;FLOAT;0;False;2;FLOAT;0;False;3;FLOAT;0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.GetLocalVarNode;1793;-7434.07,-3484.822;Float;False;880;TextureTiling4;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.ComponentMaskNode;870;-4068.499,-2914.636;Float;False;True;True;False;True;1;0;FLOAT3;0,0,0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;764;-3957.613,-1574.712;Float;False;TexturePosition2;-1;True;1;0;FLOAT2;0,0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;757;-3854.939,-2637.363;Float;False;TextureTiling0;-1;True;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;767;-3991.74,-736.4648;Float;False;TextureTiling3;-1;True;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;889;-7866.189,-1465.763;Float;False;TexturePosition6;-1;True;1;0;FLOAT2;0,0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.DynamicAppendNode;712;-4034.466,780.8716;Float;False;FLOAT2;4;0;FLOAT;0;False;1;FLOAT;0;False;2;FLOAT;0;False;3;FLOAT;0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;890;-7859.236,-1255.065;Float;False;TextureTiling6;-1;True;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.DynamicAppendNode;821;-7862.742,710.6644;Float;False;FLOAT2;4;0;FLOAT;0;False;1;FLOAT;0;False;2;FLOAT;0;False;3;FLOAT;0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;762;-3902.683,-2188.559;Float;False;TexturePosition1;-1;True;1;0;FLOAT2;0,0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;765;-3953.184,-1338.938;Float;False;TextureTiling2;-1;True;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;758;-3851.956,-2859.971;Float;False;TexturePosition0;-1;True;1;0;FLOAT2;0,0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.SimpleMultiplyOpNode;1205;-7112.219,-3695.498;Float;True;2;2;0;FLOAT2;0,0;False;1;FLOAT;100;False;1;FLOAT2;0
Node;AmplifyShaderEditor.SaturateNode;112;5903.123,-2234.346;Float;False;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;891;-7894.063,-647.4196;Float;False;TextureTiling7;-1;True;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;894;-7899.58,-873.4809;Float;False;TexturePosition7;-1;True;1;0;FLOAT2;0,0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;879;-7868.813,-2884.768;Float;False;TexturePosition4;-1;True;1;0;FLOAT2;0,0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;766;-3993.217,-953.2108;Float;False;TexturePosition3;-1;True;1;0;FLOAT2;0,0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;693;-3850.35,-2761.013;Float;False;TextureSize0;-1;True;1;0;FLOAT2;0,0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;373;-3881.681,-2536.296;Float;False;TextureTilingDistance;-1;True;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;620;-7856.592,-3038.161;Float;False;DistanceMargin1;-1;True;1;0;FLOAT2;0,0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;884;-7824.972,-2104.628;Float;False;TexturePosition5;-1;True;1;0;FLOAT2;0,0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.GetLocalVarNode;729;-3876.314,605.5416;Float;False;620;DistanceMargin1;1;0;OBJECT;0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.GetLocalVarNode;732;-3996.884,2492.121;Float;False;620;DistanceMargin1;1;0;OBJECT;0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.GetLocalVarNode;759;-3877.223,685.3002;Float;False;758;TexturePosition0;1;0;OBJECT;0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.GetLocalVarNode;726;-3993.929,2319.046;Float;False;373;TextureTilingDistance;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;827;-7793.129,1914.615;Float;False;889;TexturePosition6;1;0;OBJECT;0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.VertexToFragmentNode;1329;6094.718,-2232.454;Float;False;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;773;-4000.854,2816.822;Float;False;767;TextureTiling3;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;770;-3964.854,1984.822;Float;False;764;TexturePosition2;1;0;OBJECT;0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.GetLocalVarNode;829;-7824.129,2144.615;Float;False;890;TextureTiling6;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;725;-3938.665,1661.202;Float;False;373;TextureTilingDistance;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.CommentaryNode;705;-196.7671,-2594.883;Float;False;3371.506;1328.419;Comment;22;462;451;450;64;65;66;217;218;63;452;67;4;212;453;2;1;152;794;795;866;926;927;Albedo Mixing;0,1,0.9700117,1;0;0
Node;AmplifyShaderEditor.GetLocalVarNode;836;-7789.713,2048.847;Float;False;693;TextureSize0;1;0;OBJECT;0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.GetLocalVarNode;826;-7762.379,1297.65;Float;False;884;TexturePosition5;1;0;OBJECT;0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.GetLocalVarNode;722;-3918.114,1252.337;Float;False;620;DistanceMargin1;1;0;OBJECT;0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.GetLocalVarNode;730;-3961.438,2119.054;Float;False;693;TextureSize0;1;0;OBJECT;0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.GetLocalVarNode;768;-3934.104,1367.857;Float;False;762;TexturePosition1;1;0;OBJECT;0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.GetLocalVarNode;723;-3994.697,2722.929;Float;False;693;TextureSize0;1;0;OBJECT;0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.GetLocalVarNode;838;-7822.205,2248.839;Float;False;373;TextureTilingDistance;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;839;-7823.129,2540.615;Float;False;894;TexturePosition7;1;0;OBJECT;0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.GetLocalVarNode;837;-7766.94,1590.995;Float;False;373;TextureTilingDistance;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;822;-7710.627,701.8007;Float;False;myVarName;-1;True;1;0;FLOAT2;0,0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.GetLocalVarNode;719;-3968.459,1848.427;Float;False;620;DistanceMargin1;1;0;OBJECT;0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.GetLocalVarNode;728;-4025.213,2916.162;Float;False;373;TextureTilingDistance;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;761;-3877.66,958.5768;Float;False;373;TextureTilingDistance;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;831;-7746.39,1182.13;Float;False;620;DistanceMargin1;1;0;OBJECT;0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.GetLocalVarNode;731;-3935.391,1478.162;Float;False;693;TextureSize0;1;0;OBJECT;0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.GetLocalVarNode;832;-7853.489,2845.954;Float;False;373;TextureTilingDistance;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;834;-7825.16,2421.913;Float;False;620;DistanceMargin1;1;0;OBJECT;0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.GetLocalVarNode;825;-7763.666,1407.955;Float;False;693;TextureSize0;1;0;OBJECT;0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.GetLocalVarNode;830;-7796.734,1778.22;Float;False;620;DistanceMargin1;1;0;OBJECT;0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.GetLocalVarNode;835;-7701.936,798.3696;Float;False;880;TextureTiling4;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;760;-3873.66,868.5768;Float;False;757;TextureTiling0;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;714;-3882.351,772.0078;Float;False;TextureSizeNormal0;-1;True;1;0;FLOAT2;0,0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.GetLocalVarNode;771;-3995.854,2214.822;Float;False;765;TextureTiling2;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;772;-3994.854,2610.822;Float;False;766;TexturePosition3;1;0;OBJECT;0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.GetLocalVarNode;833;-7829.129,2746.615;Float;False;891;TextureTiling7;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.DdyOpNode;1178;-6843.27,-3599.623;Float;True;1;0;FLOAT2;0,0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.DdxOpNode;1177;-6842.418,-3858.772;Float;True;1;0;FLOAT2;0,0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.GetLocalVarNode;828;-7705.498,615.093;Float;False;879;TexturePosition4;1;0;OBJECT;0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.GetLocalVarNode;823;-7822.973,2652.721;Float;False;693;TextureSize0;1;0;OBJECT;0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.GetLocalVarNode;840;-7704.59,535.3344;Float;False;620;DistanceMargin1;1;0;OBJECT;0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.GetLocalVarNode;824;-7705.936,888.3695;Float;False;373;TextureTilingDistance;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.FunctionNode;1777;-3647.893,2652.797;Float;False;AtlasPicker;-1;;377;b9723950d11674cdfb2b31c1616cbad2;0;6;96;FLOAT2;2,2;False;43;FLOAT2;0,0;False;88;FLOAT2;2048,2048;False;39;FLOAT2;100,100;False;60;FLOAT;0.1;False;83;INT;2;False;6;FLOAT2;0;FLOAT2;139;FLOAT2;148;FLOAT2;49;FLOAT2;151;FLOAT2;152
Node;AmplifyShaderEditor.FunctionNode;1780;-7380.934,611.6282;Float;False;AtlasPicker;-1;;380;b9723950d11674cdfb2b31c1616cbad2;0;6;96;FLOAT2;2,2;False;43;FLOAT2;0,0;False;88;FLOAT2;2048,2048;False;39;FLOAT2;100,100;False;60;FLOAT;0.1;False;83;INT;2;False;6;FLOAT2;0;FLOAT2;139;FLOAT2;148;FLOAT2;49;FLOAT2;151;FLOAT2;152
Node;AmplifyShaderEditor.FunctionNode;1776;-7476.168,2582.59;Float;False;AtlasPicker;-1;;379;b9723950d11674cdfb2b31c1616cbad2;0;6;96;FLOAT2;2,2;False;43;FLOAT2;0,0;False;88;FLOAT2;2048,2048;False;39;FLOAT2;100,100;False;60;FLOAT;0.1;False;83;INT;2;False;6;FLOAT2;0;FLOAT2;139;FLOAT2;148;FLOAT2;49;FLOAT2;151;FLOAT2;152
Node;AmplifyShaderEditor.RegisterLocalVarNode;18;6349.926,-2238.99;Float;False;DistanceLerp;-1;True;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.FunctionNode;1775;-7448.399,1975.234;Float;False;AtlasPicker;-1;;378;b9723950d11674cdfb2b31c1616cbad2;0;6;96;FLOAT2;2,2;False;43;FLOAT2;0,0;False;88;FLOAT2;2048,2048;False;39;FLOAT2;100,100;False;60;FLOAT;0.1;False;83;INT;2;False;6;FLOAT2;0;FLOAT2;139;FLOAT2;148;FLOAT2;49;FLOAT2;151;FLOAT2;152
Node;AmplifyShaderEditor.FunctionNode;1773;-3552.658,681.8354;Float;False;AtlasPicker;-1;;376;b9723950d11674cdfb2b31c1616cbad2;0;6;96;FLOAT2;2,2;False;43;FLOAT2;0,0;False;88;FLOAT2;2048,2048;False;39;FLOAT2;100,100;False;60;FLOAT;0.1;False;83;INT;2;False;6;FLOAT2;0;FLOAT2;139;FLOAT2;148;FLOAT2;49;FLOAT2;151;FLOAT2;152
Node;AmplifyShaderEditor.FunctionNode;1779;-3574.044,1406.403;Float;False;AtlasPicker;-1;;374;b9723950d11674cdfb2b31c1616cbad2;0;6;96;FLOAT2;2,2;False;43;FLOAT2;0,0;False;88;FLOAT2;2048,2048;False;39;FLOAT2;100,100;False;60;FLOAT;0.1;False;83;INT;2;False;6;FLOAT2;0;FLOAT2;139;FLOAT2;148;FLOAT2;49;FLOAT2;151;FLOAT2;152
Node;AmplifyShaderEditor.TexCoordVertexDataNode;462;-146.7671,-2115.619;Float;False;0;2;0;5;FLOAT2;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.DotProductOpNode;1196;-6650.797,-3859.501;Float;True;2;0;FLOAT2;0,0;False;1;FLOAT2;0,0;False;1;FLOAT;0
Node;AmplifyShaderEditor.FunctionNode;1778;-3620.124,2045.441;Float;False;AtlasPicker;-1;;373;b9723950d11674cdfb2b31c1616cbad2;0;6;96;FLOAT2;2,2;False;43;FLOAT2;0,0;False;88;FLOAT2;2048,2048;False;39;FLOAT2;100,100;False;60;FLOAT;0.1;False;83;INT;2;False;6;FLOAT2;0;FLOAT2;139;FLOAT2;148;FLOAT2;49;FLOAT2;151;FLOAT2;152
Node;AmplifyShaderEditor.DotProductOpNode;1197;-6642.115,-3605.186;Float;True;2;0;FLOAT2;0,0;False;1;FLOAT2;0,0;False;1;FLOAT;0
Node;AmplifyShaderEditor.FunctionNode;1774;-7402.319,1336.196;Float;False;AtlasPicker;-1;;375;b9723950d11674cdfb2b31c1616cbad2;0;6;96;FLOAT2;2,2;False;43;FLOAT2;0,0;False;88;FLOAT2;2048,2048;False;39;FLOAT2;100,100;False;60;FLOAT;0.1;False;83;INT;2;False;6;FLOAT2;0;FLOAT2;139;FLOAT2;148;FLOAT2;49;FLOAT2;151;FLOAT2;152
Node;AmplifyShaderEditor.GetLocalVarNode;842;-6260.018,2318.498;Float;False;18;DistanceLerp;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SamplerNode;848;-6546.903,1507.056;Float;True;Property;_TextureSample25;Texture Sample 25;8;0;Create;True;0;0;False;0;None;None;True;0;False;white;Auto;True;Instance;844;Auto;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1;False;5;FLOAT3;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.SamplerNode;851;-6620.754,2753.448;Float;True;Property;_TextureSample28;Texture Sample 28;8;0;Create;True;0;0;False;0;None;None;True;0;False;white;Auto;True;Instance;844;Auto;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1;False;5;FLOAT3;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.SamplerNode;849;-6551.156,1300.096;Float;True;Property;_TextureSample26;Texture Sample 26;8;0;Create;True;0;0;False;0;None;6b2910686f14f5844bf4707db2d5e2ba;True;0;False;white;Auto;True;Instance;844;Auto;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1;False;5;FLOAT3;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.SamplerNode;737;-2701.495,645.7357;Float;True;Property;_SamplerNormal0;SamplerNormal0;8;1;[NoScaleOffset];Create;True;0;0;False;0;None;ee3b8070be9294377915b7a8bfd262ce;True;0;False;white;Auto;True;Object;-1;Auto;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1;False;5;FLOAT3;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.SamplerNode;740;-2722.881,1370.303;Float;True;Property;_TextureSample32;Texture Sample 32;8;0;Create;True;0;0;False;0;None;6b2910686f14f5844bf4707db2d5e2ba;True;0;False;white;Auto;True;Instance;737;Auto;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1;False;5;FLOAT3;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.GetLocalVarNode;743;-2362.871,1796.845;Float;False;18;DistanceLerp;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;739;-2454.817,1099.19;Float;False;18;DistanceLerp;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;742;-2431.742,2388.705;Float;False;18;DistanceLerp;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SamplerNode;738;-2762.791,2216.3;Float;True;Property;_TextureSample31;Texture Sample 31;8;0;Create;True;0;0;False;0;None;None;True;0;False;white;Auto;True;Instance;737;Auto;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1;False;5;FLOAT3;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.SamplerNode;844;-6529.771,575.5286;Float;True;Property;_SamplerNormal1;Sampler Normal 1;8;1;[NoScaleOffset];Create;True;0;0;False;0;None;ee3b8070be9294377915b7a8bfd262ce;True;0;False;white;Auto;True;Object;-1;Auto;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1;False;5;FLOAT3;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.SamplerNode;748;-2768.961,2009.341;Float;True;Property;_TextureSample37;Texture Sample 37;8;0;Create;True;0;0;False;0;None;6b2910686f14f5844bf4707db2d5e2ba;True;0;False;white;Auto;True;Instance;737;Auto;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1;False;5;FLOAT3;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.SamplerNode;843;-6591.066,2146.093;Float;True;Property;_TextureSample15;Texture Sample 15;8;0;Create;True;0;0;False;0;None;None;True;0;False;white;Auto;True;Instance;844;Auto;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1;False;5;FLOAT3;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.SimpleMaxOpNode;1198;-6408.264,-3712.865;Float;True;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SamplerNode;850;-6597.236,1939.134;Float;True;Property;_TextureSample27;Texture Sample 27;8;0;Create;True;0;0;False;0;None;6b2910686f14f5844bf4707db2d5e2ba;True;0;False;white;Auto;True;Instance;844;Auto;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1;False;5;FLOAT3;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.GetLocalVarNode;746;-2454.934,3028.181;Float;False;18;DistanceLerp;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SamplerNode;744;-2709.243,845.8669;Float;True;Property;_TextureSample34;Texture Sample 34;8;0;Create;True;0;0;False;0;None;None;True;0;False;white;Auto;True;Instance;737;Auto;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1;False;5;FLOAT3;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.SamplerNode;741;-2792.479,2823.656;Float;True;Property;_TextureSample33;Texture Sample 33;8;0;Create;True;0;0;False;0;None;None;True;0;False;white;Auto;True;Instance;737;Auto;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1;False;5;FLOAT3;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.SamplerNode;450;215.0818,-2255.054;Float;True;Property;_MainTex;Splat Map 0;6;1;[NoScaleOffset];Create;False;0;0;False;0;None;a4ee1217c82fbd1479987f89b9bc59b4;True;0;False;white;Auto;False;Object;-1;Auto;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1;False;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.SamplerNode;847;-6625.006,2546.49;Float;True;Property;_TextureSample24;Texture Sample 24;8;0;Create;True;0;0;False;0;None;6b2910686f14f5844bf4707db2d5e2ba;True;0;False;white;Auto;True;Instance;844;Auto;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1;False;5;FLOAT3;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.SamplerNode;852;-6537.519,777.4885;Float;True;Property;_TextureSample29;Texture Sample 29;8;0;Create;True;0;0;False;0;None;None;True;0;False;white;Auto;True;Instance;844;Auto;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1;False;5;FLOAT3;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.SamplerNode;745;-2796.731,2616.697;Float;True;Property;_TextureSample35;Texture Sample 35;8;0;Create;True;0;0;False;0;None;6b2910686f14f5844bf4707db2d5e2ba;True;0;False;white;Auto;True;Instance;737;Auto;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1;False;5;FLOAT3;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.GetLocalVarNode;841;-6283.209,2957.973;Float;False;18;DistanceLerp;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;846;-6191.146,1726.638;Float;False;18;DistanceLerp;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SamplerNode;747;-2718.628,1577.263;Float;True;Property;_TextureSample36;Texture Sample 36;8;0;Create;True;0;0;False;0;None;None;True;0;False;white;Auto;True;Instance;737;Auto;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1;False;5;FLOAT3;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.SamplerNode;451;230.8079,-1586.953;Float;True;Property;_SplatMap1;Splat Map 1;14;1;[NoScaleOffset];Create;True;0;0;False;0;None;None;True;0;False;white;Auto;False;Object;-1;Auto;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1;False;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.GetLocalVarNode;845;-6283.092,1028.983;Float;False;18;DistanceLerp;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.LerpOp;854;-5886.309,1425.851;Float;False;3;0;FLOAT3;0,0,0;False;1;FLOAT3;0,0,0;False;2;FLOAT;0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;794;633.6274,-2447.886;Float;False;SplatMap0;-1;True;1;0;COLOR;0,0,0,0;False;1;COLOR;0
Node;AmplifyShaderEditor.LerpOp;752;-2155.257,2777.736;Float;False;3;0;FLOAT3;0,0,0;False;1;FLOAT3;0,0,0;False;2;FLOAT;0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.LerpOp;856;-5983.532,2707.529;Float;False;3;0;FLOAT3;0,0,0;False;1;FLOAT3;0,0,0;False;2;FLOAT;0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.LerpOp;749;-2058.033,1496.058;Float;False;3;0;FLOAT3;0,0,0;False;1;FLOAT3;0,0,0;False;2;FLOAT;0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.LerpOp;750;-2167.086,741.6876;Float;False;3;0;FLOAT3;0,0,0;False;1;FLOAT3;0,0,0;False;2;FLOAT;0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.CommentaryNode;793;-286.7203,-921.1468;Float;False;3371.506;1328.42;Comment;18;777;778;779;780;781;782;783;784;785;786;787;788;789;792;797;867;924;928;Normal Mixing;1,1,1,1;0;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;795;638.5366,-1589.298;Float;False;SplatMap1;-1;True;1;0;COLOR;0,0,0,0;False;1;COLOR;0
Node;AmplifyShaderEditor.LerpOp;853;-5960.34,2068.052;Float;False;3;0;FLOAT3;0,0,0;False;1;FLOAT3;0,0,0;False;2;FLOAT;0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.LerpOp;751;-2132.064,2138.26;Float;False;3;0;FLOAT3;0,0,0;False;1;FLOAT3;0,0,0;False;2;FLOAT;0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.LerpOp;855;-5995.361,671.4805;Float;False;3;0;FLOAT3;0,0,0;False;1;FLOAT3;0,0,0;False;2;FLOAT;0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.RangedFloatNode;1795;-6186.487,-3481.739;Float;False;Constant;_Float0;Float 0;21;0;Create;True;0;0;False;0;0.5;0;0;0;0;1;FLOAT;0
Node;AmplifyShaderEditor.TexelSizeNode;1214;-8344.859,-2766.929;Float;False;464;1;0;SAMPLER2D;_Sampler01214;False;5;FLOAT4;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.Log2OpNode;1199;-6197.896,-3714.896;Float;True;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;924;500.6694,-133.1368;Float;True;795;SplatMap1;1;0;OBJECT;0;False;1;COLOR;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;857;-5615.801,1416.188;Float;True;NormalTex5;-1;True;1;0;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;754;-1787.525,1486.395;Float;True;NormalTex1;-1;True;1;0;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;859;-5651.994,2703.489;Float;True;NormalTex7;-1;True;1;0;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;860;-5682.565,628.2284;Float;True;NormalTex4;-1;True;1;0;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.ComponentMaskNode;1460;-8089.853,-2765.812;Float;False;False;False;True;True;1;0;FLOAT4;0,0,0,0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.GetLocalVarNode;797;498.8239,-863.3162;Float;True;794;SplatMap0;1;0;OBJECT;0;False;1;COLOR;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;858;-5638.449,2069.691;Float;True;NormalTex6;-1;True;1;0;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;755;-1823.719,2773.696;Float;True;NormalTex3;-1;True;1;0;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;753;-1854.29,698.4356;Float;True;NormalTex0;-1;True;1;0;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;756;-1810.174,2139.899;Float;True;NormalTex2;-1;True;1;0;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.SimpleMultiplyOpNode;1200;-6020.711,-3715.949;Float;True;2;2;0;FLOAT;0;False;1;FLOAT;0.5;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;783;927.6186,-513.3294;Float;False;754;NormalTex1;1;0;OBJECT;0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;926;638.646,-1501.907;Float;False;SplatMap1Alpha;-1;True;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;779;935.3246,-325.1992;Float;False;755;NormalTex3;1;0;OBJECT;0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.GetLocalVarNode;781;930.4747,-627.4942;Float;False;753;NormalTex0;1;0;OBJECT;0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.GetLocalVarNode;778;935.293,389.0453;Float;False;859;NormalTex7;1;0;OBJECT;0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.ComponentMaskNode;786;907.6749,-145.0749;Float;True;True;True;True;False;1;0;COLOR;0,0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.ComponentMaskNode;782;932.6418,-865.4343;Float;True;True;True;True;False;1;0;COLOR;0,0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.GetLocalVarNode;784;927.43,178.9355;Float;False;857;NormalTex5;1;0;OBJECT;0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.GetLocalVarNode;785;930.4434,-425.4344;Float;False;756;NormalTex2;1;0;OBJECT;0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.FloorOpNode;1628;-5797.281,-3715.809;Float;True;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;777;922.557,86.03249;Float;False;860;NormalTex4;1;0;OBJECT;0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.GetLocalVarNode;780;928.32,283.9905;Float;False;858;NormalTex6;1;0;OBJECT;0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;699;-7849.039,-2765.545;Float;False;TextureSize1;-1;True;1;0;FLOAT2;0,0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.GetLocalVarNode;696;-3981.832,-830.5071;Float;False;693;TextureSize0;1;0;OBJECT;0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.GetLocalVarNode;703;-7861.38,-1363.153;Float;False;699;TextureSize1;1;0;OBJECT;0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.LayeredBlendNode;788;1454.103,-93.74549;Float;True;6;0;FLOAT3;0,0,0;False;1;FLOAT3;0,0,0;False;2;FLOAT3;0,0,0;False;3;FLOAT3;0,0,0;False;4;FLOAT3;0,0,0;False;5;COLOR;0,0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.GetLocalVarNode;623;-7893.446,-995.2386;Float;False;620;DistanceMargin1;1;0;OBJECT;0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.GetLocalVarNode;624;-7857.416,-1592.381;Float;False;620;DistanceMargin1;1;0;OBJECT;0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.GetLocalVarNode;226;-3925.798,-1892.234;Float;False;373;TextureTilingDistance;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;627;-3853.203,-2947.894;Float;False;620;DistanceMargin1;1;0;OBJECT;0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.GetLocalVarNode;402;-7913.227,-561.2439;Float;False;373;TextureTilingDistance;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;704;-7881.944,-743.9185;Float;False;699;TextureSize1;1;0;OBJECT;0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;885;-7824.231,-1871.317;Float;False;TextureTiling5;-1;True;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;763;-3921.459,-1980.75;Float;False;TextureTiling1;-1;True;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;928;1681.163,-341.5161;Float;False;926;SplatMap1Alpha;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;404;-7831.2,-1772.799;Float;False;373;TextureTilingDistance;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;628;-3905.246,-2301.099;Float;False;620;DistanceMargin1;1;0;OBJECT;0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.GetLocalVarNode;629;-3955.592,-1705.008;Float;False;620;DistanceMargin1;1;0;OBJECT;0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.GetLocalVarNode;625;-7833.568,-2226.365;Float;False;620;DistanceMargin1;1;0;OBJECT;0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;1364;-5572.151,-3720.441;Float;False;mipCalc;-1;True;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.LayeredBlendNode;787;1379.706,-702.6678;Float;True;6;0;FLOAT3;0,0,0;False;1;FLOAT3;0,0,0;False;2;FLOAT3;0,0,0;False;3;FLOAT3;0,0,0;False;4;FLOAT3;0,0,0;False;5;COLOR;0,0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.GetLocalVarNode;406;-7891.629,-1143.353;Float;False;373;TextureTilingDistance;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;695;-3948.571,-1434.382;Float;False;693;TextureSize0;1;0;OBJECT;0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.GetLocalVarNode;447;-7889.785,-2549.403;Float;False;373;TextureTilingDistance;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;630;-3984.019,-1061.316;Float;False;620;DistanceMargin1;1;0;OBJECT;0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.GetLocalVarNode;702;-7820.296,-1985.238;Float;False;699;TextureSize1;1;0;OBJECT;0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.GetLocalVarNode;374;-3981.064,-1234.39;Float;False;373;TextureTilingDistance;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;694;-3899.524,-2081.273;Float;False;693;TextureSize0;1;0;OBJECT;0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.GetLocalVarNode;375;-4012.349,-637.2747;Float;False;373;TextureTilingDistance;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.TexturePropertyNode;463;-3161.534,-3211.934;Float;True;Property;_TextureAtlas0;Texture Atlas 0;7;1;[NoScaleOffset];Create;True;0;0;False;0;None;9c06f75b48ea6445aa3c4de94fe4e4b5;False;white;LockedToTexture2D;Texture2D;0;1;SAMPLER2D;0
Node;AmplifyShaderEditor.FunctionNode;1786;-3539.79,-2871.6;Float;False;AtlasPicker;-1;;388;b9723950d11674cdfb2b31c1616cbad2;0;6;96;FLOAT2;2,2;False;43;FLOAT2;0,0;False;88;FLOAT2;2048,2048;False;39;FLOAT2;100,100;False;60;FLOAT;0.1;False;83;INT;2;False;6;FLOAT2;0;FLOAT2;139;FLOAT2;148;FLOAT2;49;FLOAT2;151;FLOAT2;152
Node;AmplifyShaderEditor.FunctionNode;1782;-3607.256,-1507.995;Float;False;AtlasPicker;-1;;387;b9723950d11674cdfb2b31c1616cbad2;0;6;96;FLOAT2;2,2;False;43;FLOAT2;0,0;False;88;FLOAT2;2048,2048;False;39;FLOAT2;100,100;False;60;FLOAT;0.1;False;83;INT;2;False;6;FLOAT2;0;FLOAT2;139;FLOAT2;148;FLOAT2;49;FLOAT2;151;FLOAT2;152
Node;AmplifyShaderEditor.FunctionNode;1781;-7466.577,-2177.333;Float;False;AtlasPicker;-1;;386;b9723950d11674cdfb2b31c1616cbad2;0;6;96;FLOAT2;2,2;False;43;FLOAT2;0,0;False;88;FLOAT2;2048,2048;False;39;FLOAT2;100,100;False;60;FLOAT;0.1;False;83;INT;2;False;6;FLOAT2;0;FLOAT2;139;FLOAT2;148;FLOAT2;49;FLOAT2;151;FLOAT2;152
Node;AmplifyShaderEditor.GetLocalVarNode;1794;-6955.779,-2641.864;Float;False;1364;mipCalc;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.TexturePropertyNode;464;-7210.737,-3205.792;Float;True;Property;_TextureAtlas1;Texture Atlas 1;15;1;[NoScaleOffset];Create;True;0;0;False;0;None;9c06f75b48ea6445aa3c4de94fe4e4b5;False;white;LockedToTexture2D;Texture2D;0;1;SAMPLER2D;0
Node;AmplifyShaderEditor.FunctionNode;1788;-3635.026,-900.6392;Float;False;AtlasPicker;-1;;382;b9723950d11674cdfb2b31c1616cbad2;0;6;96;FLOAT2;2,2;False;43;FLOAT2;0,0;False;88;FLOAT2;2048,2048;False;39;FLOAT2;100,100;False;60;FLOAT;0.1;False;83;INT;2;False;6;FLOAT2;0;FLOAT2;139;FLOAT2;148;FLOAT2;49;FLOAT2;151;FLOAT2;152
Node;AmplifyShaderEditor.FunctionNode;1784;-3561.176,-2147.032;Float;False;AtlasPicker;-1;;384;b9723950d11674cdfb2b31c1616cbad2;0;6;96;FLOAT2;2,2;False;43;FLOAT2;0,0;False;88;FLOAT2;2048,2048;False;39;FLOAT2;100,100;False;60;FLOAT;0.1;False;83;INT;2;False;6;FLOAT2;0;FLOAT2;139;FLOAT2;148;FLOAT2;49;FLOAT2;151;FLOAT2;152
Node;AmplifyShaderEditor.FunctionNode;1783;-7512.657,-1538.296;Float;False;AtlasPicker;-1;;383;b9723950d11674cdfb2b31c1616cbad2;0;6;96;FLOAT2;2,2;False;43;FLOAT2;0,0;False;88;FLOAT2;2048,2048;False;39;FLOAT2;100,100;False;60;FLOAT;0.1;False;83;INT;2;False;6;FLOAT2;0;FLOAT2;139;FLOAT2;148;FLOAT2;49;FLOAT2;151;FLOAT2;152
Node;AmplifyShaderEditor.FunctionNode;1785;-7538.149,-928.6627;Float;False;AtlasPicker;-1;;381;b9723950d11674cdfb2b31c1616cbad2;0;6;96;FLOAT2;2,2;False;43;FLOAT2;0,0;False;88;FLOAT2;2048,2048;False;39;FLOAT2;100,100;False;60;FLOAT;0.1;False;83;INT;2;False;6;FLOAT2;0;FLOAT2;139;FLOAT2;148;FLOAT2;49;FLOAT2;151;FLOAT2;152
Node;AmplifyShaderEditor.LerpOp;789;1994.277,-383.2485;Float;False;3;0;FLOAT3;0,0,0;False;1;FLOAT3;0,0,0;False;2;FLOAT;0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.FunctionNode;1787;-7445.191,-2901.901;Float;False;AtlasPicker;-1;;385;b9723950d11674cdfb2b31c1616cbad2;0;6;96;FLOAT2;2,2;False;43;FLOAT2;0,0;False;88;FLOAT2;2048,2048;False;39;FLOAT2;100,100;False;60;FLOAT;0.1;False;83;INT;2;False;6;FLOAT2;0;FLOAT2;139;FLOAT2;148;FLOAT2;49;FLOAT2;151;FLOAT2;152
Node;AmplifyShaderEditor.SamplerNode;331;-2684.375,-2700.74;Float;True;Property;_TextureSample2;Texture Sample 2;8;0;Create;True;0;0;False;0;None;None;True;0;False;white;Auto;False;Instance;330;Derivative;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1;False;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.SamplerNode;433;-6685.013,-760.0813;Float;True;Property;_TextureSample21;Texture Sample 21;9;0;Create;True;0;0;False;0;None;None;True;0;False;white;Auto;False;Instance;432;Derivative;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1;False;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.SamplerNode;364;-2783.864,-936.7393;Float;True;Property;_TextureSample6;Texture Sample 6;8;0;Create;True;0;0;False;0;None;6b2910686f14f5844bf4707db2d5e2ba;True;0;False;white;Auto;False;Instance;330;Derivative;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1;False;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.GetLocalVarNode;34;-2350.003,-1756.591;Float;False;18;DistanceLerp;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;436;-6255.405,-1786.892;Float;False;18;DistanceLerp;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SamplerNode;428;-6689.266,-966.0404;Float;True;Property;_TextureSample17;Texture Sample 17;9;0;Create;True;0;0;False;0;None;6b2910686f14f5844bf4707db2d5e2ba;True;0;False;white;Auto;False;Instance;432;Derivative;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1;False;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.StaticSwitch;867;2335.417,-410.3799;Float;False;Property;_UseSecondSplatMap;Use Second Splat Map;9;0;Fetch;True;0;0;False;0;0;1;1;False;_USESECONDSPLATMAP_ON;Toggle;2;Key0;Key1;9;1;FLOAT3;0,0,0;False;0;FLOAT3;0,0,0;False;2;FLOAT3;0,0,0;False;3;FLOAT3;0,0,0;False;4;FLOAT3;0,0,0;False;5;FLOAT3;0,0,0;False;6;FLOAT3;0,0,0;False;7;FLOAT3;0,0,0;False;8;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.SamplerNode;330;-2688.627,-2907.7;Float;True;Property;_Sampler0;Sampler0;8;1;[NoScaleOffset];Create;True;0;0;False;0;None;ee3b8070be9294377915b7a8bfd262ce;True;0;False;white;Auto;False;Object;-1;Derivative;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1;False;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.SamplerNode;427;-6661.496,-1574.396;Float;True;Property;_TextureSample16;Texture Sample 16;9;0;Create;True;0;0;False;0;None;6b2910686f14f5844bf4707db2d5e2ba;True;0;False;white;Auto;False;Instance;432;Derivative;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1;False;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.SamplerNode;354;-2756.094,-1544.095;Float;True;Property;_TextureSample4;Texture Sample 4;8;0;Create;True;0;0;False;0;None;6b2910686f14f5844bf4707db2d5e2ba;True;0;False;white;Auto;False;Instance;330;Derivative;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1;False;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.SamplerNode;434;-6657.243,-1366.141;Float;True;Property;_TextureSample22;Texture Sample 22;9;0;Create;True;0;0;False;0;None;None;True;0;False;white;Auto;False;Instance;432;Derivative;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1;False;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.SamplerNode;431;-6611.163,-2006.474;Float;True;Property;_TextureSample19;Texture Sample 19;9;0;Create;True;0;0;False;0;None;None;True;0;False;white;Auto;False;Instance;432;Derivative;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1;False;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.SamplerNode;340;-2710.014,-2183.132;Float;True;Property;_TextureSample3;Texture Sample 3;8;0;Create;True;0;0;False;0;None;6b2910686f14f5844bf4707db2d5e2ba;True;0;False;white;Auto;False;Instance;330;Derivative;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1;False;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.SamplerNode;432;-6602.536,-2966.962;Float;True;Property;_Sampler1;Sampler1;9;1;[NoScaleOffset];Create;True;0;0;False;0;None;6653d1486c39c4f5e8825d77f6bd77b9;True;0;False;white;Auto;False;Object;-1;MipLevel;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1;False;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.SamplerNode;429;-6615.416,-2213.434;Float;True;Property;_TextureSample18;Texture Sample 18;9;0;Create;True;0;0;False;0;None;6b2910686f14f5844bf4707db2d5e2ba;True;0;False;white;Auto;False;Instance;432;Derivative;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1;False;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.SamplerNode;355;-2751.841,-1337.136;Float;True;Property;_TextureSample5;Texture Sample 5;8;0;Create;True;0;0;False;0;None;None;True;0;False;white;Auto;False;Instance;330;Derivative;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1;False;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.GetLocalVarNode;437;-6347.469,-555.5568;Float;False;18;DistanceLerp;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SamplerNode;365;-2779.611,-729.7802;Float;True;Property;_TextureSample7;Texture Sample 7;8;0;Create;True;0;0;False;0;None;None;True;0;False;white;Auto;False;Instance;330;Derivative;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1;False;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.GetLocalVarNode;43;-2418.874,-1164.731;Float;False;18;DistanceLerp;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;430;-6324.276,-1195.032;Float;False;18;DistanceLerp;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;21;-2441.95,-2454.246;Float;False;18;DistanceLerp;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;52;-2442.067,-525.2557;Float;False;18;DistanceLerp;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SamplerNode;435;-6590.777,-2731.041;Float;True;Property;_TextureSample23;Texture Sample 23;9;0;Create;True;0;0;False;0;None;None;True;0;False;white;Auto;False;Instance;432;MipLevel;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1;False;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.SamplerNode;339;-2705.761,-1976.173;Float;True;Property;_TextureSample1;Texture Sample 1;8;0;Create;True;0;0;False;0;None;None;True;0;False;white;Auto;False;Instance;330;Derivative;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1;False;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.GetLocalVarNode;426;-6347.352,-2484.548;Float;False;18;DistanceLerp;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.LerpOp;438;-6047.792,-806.0017;Float;False;3;0;COLOR;0,0,0,0;False;1;COLOR;0,0,0,0;False;2;FLOAT;0;False;1;COLOR;0
Node;AmplifyShaderEditor.LerpOp;5;-2154.219,-2811.748;Float;False;3;0;COLOR;0,0,0,0;False;1;COLOR;0,0,0,0;False;2;FLOAT;0;False;1;COLOR;0
Node;AmplifyShaderEditor.LerpOp;42;-2119.197,-1415.176;Float;False;3;0;COLOR;0,0,0,0;False;1;COLOR;0,0,0,0;False;2;FLOAT;0;False;1;COLOR;0
Node;AmplifyShaderEditor.LerpOp;440;-6060.229,-2826.542;Float;False;3;0;COLOR;0,0,0,0;False;1;COLOR;0,0,0,0;False;2;FLOAT;0;False;1;COLOR;0
Node;AmplifyShaderEditor.CommentaryNode;1789;315.5686,791.6375;Float;False;2520.032;623.387;Comment;9;796;118;131;132;133;137;805;802;154;Normal Strenght;1,1,1,1;0;0
Node;AmplifyShaderEditor.LerpOp;33;-2045.166,-2057.377;Float;False;3;0;COLOR;0,0,0,0;False;1;COLOR;0,0,0,0;False;2;FLOAT;0;False;1;COLOR;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;792;2851.285,-475.1575;Float;True;NormalMixed;-1;True;1;0;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.LerpOp;439;-5950.568,-2087.678;Float;False;3;0;COLOR;0,0,0,0;False;1;COLOR;0,0,0,0;False;2;FLOAT;0;False;1;COLOR;0
Node;AmplifyShaderEditor.LerpOp;441;-6024.599,-1445.477;Float;False;3;0;COLOR;0,0,0,0;False;1;COLOR;0,0,0,0;False;2;FLOAT;0;False;1;COLOR;0
Node;AmplifyShaderEditor.LerpOp;51;-2142.39,-775.7006;Float;False;3;0;COLOR;0,0,0,0;False;1;COLOR;0,0,0,0;False;2;FLOAT;0;False;1;COLOR;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;59;-1764.496,-790.1852;Float;True;Tex3;-1;True;1;0;COLOR;0,0,0,0;False;1;COLOR;0
Node;AmplifyShaderEditor.GetLocalVarNode;796;365.5686,1007.905;Float;True;792;NormalMixed;1;0;OBJECT;0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;39;-1774.657,-2067.04;Float;True;Tex1;-1;True;1;0;COLOR;0,0,0,0;False;1;COLOR;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;239;-5752.446,-2852.8;Float;True;Tex4;-1;True;1;0;COLOR;0,0,0,0;False;1;COLOR;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;249;-5708.344,-2082.239;Float;True;Tex5;-1;True;1;0;COLOR;0,0,0,0;False;1;COLOR;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;271;-5730.668,-811.3844;Float;True;Tex7;-1;True;1;0;COLOR;0,0,0,0;False;1;COLOR;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;32;-1841.422,-2855;Float;True;Tex0;-1;True;1;0;COLOR;0,0,0,0;False;1;COLOR;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;50;-1783.385,-1420.537;Float;True;Tex2;-1;True;1;0;COLOR;0,0,0,0;False;1;COLOR;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;260;-5771.371,-1449.985;Float;True;Tex6;-1;True;1;0;COLOR;0,0,0,0;False;1;COLOR;0
Node;AmplifyShaderEditor.GetLocalVarNode;218;1040.113,-1267.501;Float;False;249;Tex5;1;0;OBJECT;0;False;1;COLOR;0
Node;AmplifyShaderEditor.GetLocalVarNode;220;1047.976,-1057.391;Float;False;271;Tex7;1;0;OBJECT;0;False;1;COLOR;0
Node;AmplifyShaderEditor.GetLocalVarNode;65;1008.641,-2125.747;Float;False;50;Tex2;1;0;OBJECT;0;False;1;COLOR;0
Node;AmplifyShaderEditor.GetLocalVarNode;64;1005.816,-2259.845;Float;False;39;Tex1;1;0;OBJECT;0;False;1;COLOR;0
Node;AmplifyShaderEditor.GetLocalVarNode;217;1004.276,-1370.037;Float;False;239;Tex4;1;0;OBJECT;0;False;1;COLOR;0
Node;AmplifyShaderEditor.ComponentMaskNode;131;887.4832,1012.09;Float;True;True;True;False;False;1;0;FLOAT3;0,0,0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.GetLocalVarNode;63;999.089,-2350.302;Float;False;32;Tex0;1;0;OBJECT;0;False;1;COLOR;0
Node;AmplifyShaderEditor.ComponentMaskNode;67;973.6006,-2553.134;Float;True;True;True;True;False;1;0;COLOR;0,0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.RangedFloatNode;118;941.2386,1300.524;Float;False;Property;_NormalStrenght;Normal Strenght;5;0;Create;True;0;0;False;0;0;1;-5;5;0;1;FLOAT;0
Node;AmplifyShaderEditor.ComponentMaskNode;452;998.5286,-1594.042;Float;True;True;True;True;False;1;0;COLOR;0,0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.GetLocalVarNode;66;1000.32,-2025.512;Float;False;59;Tex3;1;0;OBJECT;0;False;1;COLOR;0
Node;AmplifyShaderEditor.GetLocalVarNode;219;1041.003,-1162.446;Float;False;260;Tex6;1;0;OBJECT;0;False;1;COLOR;0
Node;AmplifyShaderEditor.SimpleMultiplyOpNode;132;1323.883,1010.776;Float;True;2;2;0;FLOAT2;0,0;False;1;FLOAT;0;False;1;FLOAT2;0
Node;AmplifyShaderEditor.GetLocalVarNode;927;1806.759,-1777.665;Float;False;926;SplatMap1Alpha;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.LayeredBlendNode;4;1686.588,-2448.245;Float;True;6;0;FLOAT3;0,0,0;False;1;COLOR;0,0,0,0;False;2;COLOR;0,0,0,0;False;3;COLOR;0,0,0,0;False;4;COLOR;0,0,0,0;False;5;COLOR;0,0,0,0;False;1;COLOR;0
Node;AmplifyShaderEditor.LayeredBlendNode;212;1576.413,-1443.91;Float;True;6;0;FLOAT3;0,0,0;False;1;COLOR;0,0,0,0;False;2;COLOR;0,0,0,0;False;3;COLOR;0,0,0,0;False;4;COLOR;0,0,0,0;False;5;COLOR;0,0,0,0;False;1;COLOR;0
Node;AmplifyShaderEditor.DynamicAppendNode;133;1624.908,1008.634;Float;True;FLOAT3;4;0;FLOAT2;0,0;False;1;FLOAT;0;False;2;FLOAT;1;False;3;FLOAT;0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.LerpOp;453;2112.335,-1820.207;Float;False;3;0;COLOR;0,0,0,0;False;1;COLOR;0,0,0,0;False;2;FLOAT;0;False;1;COLOR;0
Node;AmplifyShaderEditor.StaticSwitch;866;2332.783,-2018.619;Float;False;Property;_UseSecondSplatMap;Use Second Splat Map;13;0;Create;True;0;0;False;0;0;1;1;True;;Toggle;2;Key0;Key1;9;1;COLOR;0,0,0,0;False;0;COLOR;0,0,0,0;False;2;COLOR;0,0,0,0;False;3;COLOR;0,0,0,0;False;4;COLOR;0,0,0,0;False;5;COLOR;0,0,0,0;False;6;COLOR;0,0,0,0;False;7;COLOR;0,0,0,0;False;8;COLOR;0,0,0,0;False;1;COLOR;0
Node;AmplifyShaderEditor.ColorNode;2;2332.519,-2469.792;Float;False;Property;_DiffuseColor;Diffuse Color;0;0;Create;True;0;0;False;0;1,1,1,1;0.5943396,0.5659946,0.5186454,1;False;0;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.Vector3Node;805;1912.99,841.6375;Float;False;Constant;_Vector0;Vector 0;27;0;Create;True;0;0;False;0;0,0,1;0,0,0;0;4;FLOAT3;0;FLOAT;1;FLOAT;2;FLOAT;3
Node;AmplifyShaderEditor.NormalizeNode;137;1914.046,1007.781;Float;True;1;0;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.SimpleMultiplyOpNode;1;2668.779,-2205.782;Float;False;2;2;0;COLOR;0,0,0,0;False;1;COLOR;0,0,0,0;False;1;COLOR;0
Node;AmplifyShaderEditor.StaticSwitch;802;2227.293,978.4619;Float;False;Property;_UseNormalAtlas;Use Normal Atlas;4;0;Create;True;0;0;False;0;0;0;1;True;;Toggle;2;Key0;Key1;9;1;FLOAT3;0,0,0;False;0;FLOAT3;0,0,0;False;2;FLOAT3;0,0,0;False;3;FLOAT3;0,0,0;False;4;FLOAT3;0,0,0;False;5;FLOAT3;0,0,0;False;6;FLOAT3;0,0,0;False;7;FLOAT3;0,0,0;False;8;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;154;2602.101,993.3629;Float;True;MainBump;-1;True;1;0;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.RegisterLocalVarNode;152;2930.629,-2097.763;Float;True;MainGround;-1;True;1;0;COLOR;0,0,0,0;False;1;COLOR;0
Node;AmplifyShaderEditor.CommentaryNode;707;-202.8535,-3332.799;Float;False;995.7089;474.5;Comment;3;157;158;555;Main;1,0.5906301,0,1;0;0
Node;AmplifyShaderEditor.GetLocalVarNode;158;-148.6235,-3091.511;Float;False;154;MainBump;1;0;OBJECT;0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.GetLocalVarNode;861;-7754.379,1497.65;Float;False;885;TextureTiling5;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.GetLocalVarNode;157;-152.8535,-3209.62;Float;False;152;MainGround;1;0;OBJECT;0;False;1;COLOR;0
Node;AmplifyShaderEditor.GetLocalVarNode;769;-3926.104,1567.857;Float;False;763;TextureTiling1;1;0;OBJECT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.StandardSurfaceOutputNode;555;318.8524,-3263.623;Float;False;True;3;Float;ASEMaterialInspector;0;0;Lambert;Tests/ASE Ground Normals Distance Texture Atlas;False;False;False;False;False;False;False;False;False;False;False;False;False;False;False;False;False;False;False;False;Back;0;False;-1;0;False;-1;False;0;False;-1;0;False;-1;False;0;Opaque;0.5;True;True;0;False;Opaque;;Geometry;All;True;True;True;True;True;True;True;True;True;True;True;True;True;True;True;True;True;0;False;-1;False;0;False;-1;255;False;-1;255;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;False;2;15;10;25;False;0.5;True;0;0;False;-1;0;False;-1;0;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;0;0,0,0,0;VertexOffset;True;False;Cylindrical;False;Relative;0;;-1;-1;-1;-1;0;False;0;0;False;-1;-1;0;False;-1;0;0;0;15;0;FLOAT3;0,0,0;False;1;FLOAT3;0,0,0;False;2;FLOAT3;0,0,0;False;3;FLOAT;0;False;4;FLOAT;0;False;6;FLOAT3;0,0,0;False;7;FLOAT3;0,0,0;False;8;FLOAT;0;False;9;FLOAT;0;False;10;FLOAT;0;False;13;FLOAT3;0,0,0;False;11;FLOAT3;0,0,0;False;12;FLOAT3;0,0,0;False;14;FLOAT4;0,0,0,0;False;15;FLOAT3;0,0,0;False;0
WireConnection;107;0;105;0
WireConnection;107;1;106;0
WireConnection;110;0;107;0
WireConnection;110;1;14;0
WireConnection;880;0;877;3
WireConnection;872;0;871;0
WireConnection;820;0;819;0
WireConnection;883;0;882;0
WireConnection;874;0;873;0
WireConnection;710;0;709;0
WireConnection;876;0;875;0
WireConnection;888;0;887;0
WireConnection;893;0;892;0
WireConnection;878;0;877;0
WireConnection;111;0;110;0
WireConnection;111;1;16;0
WireConnection;692;0;1215;3
WireConnection;692;1;1215;4
WireConnection;870;0;868;0
WireConnection;764;0;874;0
WireConnection;757;0;868;3
WireConnection;767;0;875;3
WireConnection;889;0;888;0
WireConnection;712;0;710;3
WireConnection;712;1;710;4
WireConnection;890;0;887;3
WireConnection;821;0;820;3
WireConnection;821;1;820;4
WireConnection;762;0;872;0
WireConnection;765;0;873;3
WireConnection;758;0;870;0
WireConnection;1205;0;1619;0
WireConnection;1205;1;1793;0
WireConnection;112;0;111;0
WireConnection;891;0;892;3
WireConnection;894;0;893;0
WireConnection;879;0;878;0
WireConnection;766;0;876;0
WireConnection;693;0;692;0
WireConnection;373;0;31;0
WireConnection;620;0;1330;0
WireConnection;884;0;883;0
WireConnection;1329;0;112;0
WireConnection;822;0;821;0
WireConnection;714;0;712;0
WireConnection;1178;0;1205;0
WireConnection;1177;0;1205;0
WireConnection;1777;96;732;0
WireConnection;1777;43;772;0
WireConnection;1777;88;723;0
WireConnection;1777;39;773;0
WireConnection;1777;60;728;0
WireConnection;1780;96;840;0
WireConnection;1780;43;828;0
WireConnection;1780;88;822;0
WireConnection;1780;39;835;0
WireConnection;1780;60;824;0
WireConnection;1776;96;834;0
WireConnection;1776;43;839;0
WireConnection;1776;88;823;0
WireConnection;1776;39;833;0
WireConnection;1776;60;832;0
WireConnection;18;0;1329;0
WireConnection;1775;96;830;0
WireConnection;1775;43;827;0
WireConnection;1775;88;836;0
WireConnection;1775;39;829;0
WireConnection;1775;60;838;0
WireConnection;1773;96;729;0
WireConnection;1773;43;759;0
WireConnection;1773;88;714;0
WireConnection;1773;39;760;0
WireConnection;1773;60;761;0
WireConnection;1779;96;722;0
WireConnection;1779;43;768;0
WireConnection;1779;88;731;0
WireConnection;1779;60;725;0
WireConnection;1196;0;1177;0
WireConnection;1196;1;1177;0
WireConnection;1778;96;719;0
WireConnection;1778;43;770;0
WireConnection;1778;88;730;0
WireConnection;1778;39;771;0
WireConnection;1778;60;726;0
WireConnection;1197;0;1178;0
WireConnection;1197;1;1178;0
WireConnection;1774;96;831;0
WireConnection;1774;43;826;0
WireConnection;1774;88;825;0
WireConnection;1774;60;837;0
WireConnection;848;1;1774;49
WireConnection;851;1;1776;49
WireConnection;849;1;1774;0
WireConnection;737;0;709;0
WireConnection;737;1;1773;0
WireConnection;740;1;1779;0
WireConnection;738;1;1778;49
WireConnection;844;0;819;0
WireConnection;844;1;1780;0
WireConnection;748;1;1778;0
WireConnection;843;1;1775;49
WireConnection;1198;0;1196;0
WireConnection;1198;1;1197;0
WireConnection;850;1;1775;0
WireConnection;744;1;1773;49
WireConnection;741;1;1777;49
WireConnection;450;1;462;0
WireConnection;847;1;1776;0
WireConnection;852;1;1780;49
WireConnection;745;1;1777;0
WireConnection;747;1;1779;49
WireConnection;451;1;462;0
WireConnection;854;0;849;0
WireConnection;854;1;848;0
WireConnection;854;2;846;0
WireConnection;794;0;450;0
WireConnection;752;0;745;0
WireConnection;752;1;741;0
WireConnection;752;2;746;0
WireConnection;856;0;847;0
WireConnection;856;1;851;0
WireConnection;856;2;841;0
WireConnection;749;0;740;0
WireConnection;749;1;747;0
WireConnection;749;2;743;0
WireConnection;750;0;737;0
WireConnection;750;1;744;0
WireConnection;750;2;739;0
WireConnection;795;0;451;0
WireConnection;853;0;850;0
WireConnection;853;1;843;0
WireConnection;853;2;842;0
WireConnection;751;0;748;0
WireConnection;751;1;738;0
WireConnection;751;2;742;0
WireConnection;855;0;844;0
WireConnection;855;1;852;0
WireConnection;855;2;845;0
WireConnection;1199;0;1198;0
WireConnection;857;0;854;0
WireConnection;754;0;749;0
WireConnection;859;0;856;0
WireConnection;860;0;855;0
WireConnection;1460;0;1214;0
WireConnection;858;0;853;0
WireConnection;755;0;752;0
WireConnection;753;0;750;0
WireConnection;756;0;751;0
WireConnection;1200;0;1199;0
WireConnection;1200;1;1795;0
WireConnection;926;0;451;4
WireConnection;786;0;924;0
WireConnection;782;0;797;0
WireConnection;1628;0;1200;0
WireConnection;699;0;1460;0
WireConnection;788;0;786;0
WireConnection;788;1;777;0
WireConnection;788;2;784;0
WireConnection;788;3;780;0
WireConnection;788;4;778;0
WireConnection;885;0;882;3
WireConnection;763;0;871;3
WireConnection;1364;0;1628;0
WireConnection;787;0;782;0
WireConnection;787;1;781;0
WireConnection;787;2;783;0
WireConnection;787;3;785;0
WireConnection;787;4;779;0
WireConnection;1786;96;627;0
WireConnection;1786;43;758;0
WireConnection;1786;88;693;0
WireConnection;1786;39;757;0
WireConnection;1786;60;373;0
WireConnection;1782;96;629;0
WireConnection;1782;43;764;0
WireConnection;1782;88;695;0
WireConnection;1782;39;765;0
WireConnection;1782;60;374;0
WireConnection;1781;96;625;0
WireConnection;1781;43;884;0
WireConnection;1781;88;702;0
WireConnection;1781;39;885;0
WireConnection;1781;60;404;0
WireConnection;1788;96;630;0
WireConnection;1788;43;766;0
WireConnection;1788;88;696;0
WireConnection;1788;39;767;0
WireConnection;1788;60;375;0
WireConnection;1784;96;628;0
WireConnection;1784;43;762;0
WireConnection;1784;88;694;0
WireConnection;1784;39;763;0
WireConnection;1784;60;226;0
WireConnection;1783;96;624;0
WireConnection;1783;43;889;0
WireConnection;1783;88;703;0
WireConnection;1783;39;890;0
WireConnection;1783;60;406;0
WireConnection;1785;96;623;0
WireConnection;1785;43;894;0
WireConnection;1785;88;704;0
WireConnection;1785;39;891;0
WireConnection;1785;60;402;0
WireConnection;789;0;787;0
WireConnection;789;1;788;0
WireConnection;789;2;928;0
WireConnection;1787;96;620;0
WireConnection;1787;43;879;0
WireConnection;1787;88;699;0
WireConnection;1787;39;880;0
WireConnection;1787;60;447;0
WireConnection;331;1;1786;49
WireConnection;331;3;1786;151
WireConnection;331;4;1786;152
WireConnection;433;1;1785;49
WireConnection;433;3;1785;151
WireConnection;433;4;1785;152
WireConnection;364;1;1788;0
WireConnection;364;3;1788;139
WireConnection;364;4;1788;148
WireConnection;428;1;1785;0
WireConnection;428;3;1785;139
WireConnection;428;4;1785;148
WireConnection;867;1;787;0
WireConnection;867;0;789;0
WireConnection;330;0;463;0
WireConnection;330;1;1786;0
WireConnection;330;3;1786;139
WireConnection;330;4;1786;148
WireConnection;427;1;1783;0
WireConnection;427;3;1783;139
WireConnection;427;4;1783;148
WireConnection;354;1;1782;0
WireConnection;354;3;1782;139
WireConnection;354;4;1782;148
WireConnection;434;1;1783;49
WireConnection;434;3;1783;151
WireConnection;434;4;1783;152
WireConnection;431;1;1781;49
WireConnection;431;3;1781;151
WireConnection;431;4;1781;152
WireConnection;340;1;1784;0
WireConnection;340;3;1784;139
WireConnection;340;4;1784;148
WireConnection;432;0;464;0
WireConnection;432;1;1787;0
WireConnection;432;2;1794;0
WireConnection;429;1;1781;0
WireConnection;429;3;1781;139
WireConnection;429;4;1781;148
WireConnection;355;1;1782;49
WireConnection;355;3;1782;151
WireConnection;355;4;1782;152
WireConnection;365;1;1788;49
WireConnection;365;3;1788;151
WireConnection;365;4;1788;152
WireConnection;435;1;1787;49
WireConnection;435;2;1794;0
WireConnection;339;1;1784;49
WireConnection;339;3;1784;151
WireConnection;339;4;1784;152
WireConnection;438;0;428;0
WireConnection;438;1;433;0
WireConnection;438;2;437;0
WireConnection;5;0;330;0
WireConnection;5;1;331;0
WireConnection;5;2;21;0
WireConnection;42;0;354;0
WireConnection;42;1;355;0
WireConnection;42;2;43;0
WireConnection;440;0;432;0
WireConnection;440;1;435;0
WireConnection;440;2;426;0
WireConnection;33;0;340;0
WireConnection;33;1;339;0
WireConnection;33;2;34;0
WireConnection;792;0;867;0
WireConnection;439;0;429;0
WireConnection;439;1;431;0
WireConnection;439;2;436;0
WireConnection;441;0;427;0
WireConnection;441;1;434;0
WireConnection;441;2;430;0
WireConnection;51;0;364;0
WireConnection;51;1;365;0
WireConnection;51;2;52;0
WireConnection;59;0;51;0
WireConnection;39;0;33;0
WireConnection;239;0;440;0
WireConnection;249;0;439;0
WireConnection;271;0;438;0
WireConnection;32;0;5;0
WireConnection;50;0;42;0
WireConnection;260;0;441;0
WireConnection;131;0;796;0
WireConnection;67;0;794;0
WireConnection;452;0;795;0
WireConnection;132;0;131;0
WireConnection;132;1;118;0
WireConnection;4;0;67;0
WireConnection;4;1;63;0
WireConnection;4;2;64;0
WireConnection;4;3;65;0
WireConnection;4;4;66;0
WireConnection;212;0;452;0
WireConnection;212;1;217;0
WireConnection;212;2;218;0
WireConnection;212;3;219;0
WireConnection;212;4;220;0
WireConnection;133;0;132;0
WireConnection;453;0;4;0
WireConnection;453;1;212;0
WireConnection;453;2;927;0
WireConnection;866;1;4;0
WireConnection;866;0;453;0
WireConnection;137;0;133;0
WireConnection;1;0;2;0
WireConnection;1;1;866;0
WireConnection;802;1;805;0
WireConnection;802;0;137;0
WireConnection;154;0;802;0
WireConnection;152;0;1;0
WireConnection;555;0;157;0
WireConnection;555;1;158;0
ASEEND*/
//CHKSM=58A79F1A1A6DEFF0A2A4554807E3CDB6835275DF